text-show-3.10.5: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

TextShow

Contents

- The `TextShow` classes
  - `TextShow`
  - `TextShow1`
  - `TextShow2`
- `Builder`s
  - The `Builder` type
  - Constructing `Builder`s
  - Flushing the buffer state
  - `Builder` utility functions
- Printing values
- Conversions
  - Conversion between `TextShow` and string `Show`
  - Conversions between `Builder`, strict `Text`, and lazy `Text`

Description

Efficiently convert from values to `Text` via `Builder`s.

Since: 2

Synopsis

- class TextShow a where
  - showbPrec :: Int -> a -> Builder
  - showb :: a -> Builder
  - showbList :: [a] -> Builder
  - showtPrec :: Int -> a -> Text
  - showt :: a -> Text
  - showtList :: [a] -> Text
  - showtlPrec :: Int -> a -> Text
  - showtl :: a -> Text
  - showtlList :: [a] -> Text
- showbParen :: Bool -> Builder -> Builder
- showtParen :: Bool -> Text -> Text
- showtlParen :: Bool -> Text -> Text
- showbCommaSpace :: Builder
- showtCommaSpace :: Text
- showtlCommaSpace :: Text
- showbSpace :: Builder
- showtSpace :: Text
- showtlSpace :: Text
- class (forall a. TextShow a => TextShow (f a)) => TextShow1 f where
  - liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> f a -> Builder
  - liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [f a] -> Builder
- showbPrec1 :: (TextShow1 f, TextShow a) => Int -> f a -> Builder
- showbUnaryWith :: (Int -> a -> Builder) -> Builder -> Int -> a -> Builder
- liftShowtPrec :: TextShow1 f => (Int -> a -> Text) -> ([a] -> Text) -> Int -> f a -> Text
- liftShowtlPrec :: TextShow1 f => (Int -> a -> Text) -> ([a] -> Text) -> Int -> f a -> Text
- class (forall a. TextShow a => TextShow1 (f a)) => TextShow2 f where
  - liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> f a b -> Builder
  - liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [f a b] -> Builder
- showbPrec2 :: (TextShow2 f, TextShow a, TextShow b) => Int -> f a b -> Builder
- showbBinaryWith :: (Int -> a -> Builder) -> (Int -> b -> Builder) -> Builder -> Int -> a -> b -> Builder
- liftShowtPrec2 :: TextShow2 f => (Int -> a -> Text) -> ([a] -> Text) -> (Int -> b -> Text) -> ([b] -> Text) -> Int -> f a b -> Text
- liftShowtlPrec2 :: TextShow2 f => (Int -> a -> Text) -> ([a] -> Text) -> (Int -> b -> Text) -> ([b] -> Text) -> Int -> f a b -> Text
- data Builder
- toText :: Builder -> Text
- toLazyText :: Builder -> Text
- toLazyTextWith :: Int -> Builder -> Text
- toString :: Builder -> String
- singleton :: Char -> Builder
- fromText :: Text -> Builder
- fromLazyText :: Text -> Builder
- fromString :: String -> Builder
- flush :: Builder
- lengthB :: Builder -> Int64
- unlinesB :: [Builder] -> Builder
- unwordsB :: [Builder] -> Builder
- printT :: TextShow a => a -> IO ()
- printTL :: TextShow a => a -> IO ()
- hPrintT :: TextShow a => Handle -> a -> IO ()
- hPrintTL :: TextShow a => Handle -> a -> IO ()
- newtype FromStringShow a = FromStringShow {
  - fromStringShow :: a
  }
- newtype FromTextShow a = FromTextShow {
  - fromTextShow :: a
  }
- newtype FromStringShow1 f a = FromStringShow1 {
  - fromStringShow1 :: f a
  }
- newtype FromTextShow1 f a = FromTextShow1 {
  - fromTextShow1 :: f a
  }
- newtype FromStringShow2 f a b = FromStringShow2 {
  - fromStringShow2 :: f a b
  }
- newtype FromTextShow2 f a b = FromTextShow2 {
  - fromTextShow2 :: f a b
  }
- showsPrecToShowbPrec :: (Int -> a -> ShowS) -> Int -> a -> Builder
- showsToShowb :: (a -> ShowS) -> a -> Builder
- showbPrecToShowsPrec :: (Int -> a -> Builder) -> Int -> a -> ShowS
- showbToShows :: (a -> Builder) -> a -> ShowS
- showtPrecToShowbPrec :: (Int -> a -> Text) -> Int -> a -> Builder
- showtlPrecToShowbPrec :: (Int -> a -> Text) -> Int -> a -> Builder
- showtToShowb :: (a -> Text) -> a -> Builder
- showtlToShowb :: (a -> Text) -> a -> Builder
- showbPrecToShowtPrec :: (Int -> a -> Builder) -> Int -> a -> Text
- showbPrecToShowtlPrec :: (Int -> a -> Builder) -> Int -> a -> Text
- showbToShowt :: (a -> Builder) -> a -> Text
- showbToShowtl :: (a -> Builder) -> a -> Text

# The `TextShow` classes

## `TextShow`

class TextShow a where Source #

Conversion of values to `Text`. Because there are both strict and lazy `Text` variants, the `TextShow` class deliberately avoids using `Text` in its functions. Instead, `showbPrec`, `showb`, and `showbList` all return `Builder`, an efficient intermediate form that can be converted to either kind of `Text`.

`Builder` is a `Monoid`, so it is useful to use the `mappend` (or `<>`) function to combine `Builder`s when creating `TextShow` instances. As an example:

    import Data.Semigroup
    import TextShow

    data Example = Example Int Int
    instance TextShow Example where
        showb (Example i1 i2) = showb i1 <> showbSpace <> showb i2

If you do not want to create `TextShow` instances manually, you can alternatively use the TextShow.TH module to automatically generate default `TextShow` instances using Template Haskell, or the TextShow.Generic module to quickly define `TextShow` instances using GHC.Generics.

Since: 2

Minimal complete definition

showbPrec | showb

Methods

showbPrec Source #

Arguments

:: Int | The operator precedence of the enclosing context (a number from `0` to `11`). Function application has precedence `10`.
-> a | The value to be converted to a `Builder`.
-> Builder |

Convert a value to a `Builder` with the given predence.

Since: 2

showb Source #

Arguments

:: a | The value to be converted to a `Builder`.
-> Builder |

Converts a value to a strict `Text`. If you hand-define this, it should satisfy:

    showb = showbPrec 0

Since: 2

showbList Source #

Arguments

:: [a] | The list of values to be converted to a `Builder`.
-> Builder |

Converts a list of values to a `Builder`. By default, this is defined as `'showbList = `showbListWith` `showb``, but it can be overridden to allow for specialized displaying of lists (e.g., lists of `Char`s).

Since: 2

showtPrec Source #

Arguments

:: Int | The operator precedence of the enclosing context (a number from `0` to `11`). Function application has precedence `10`.
-> a | The value to be converted to a strict `Text`.
-> Text |

Converts a value to a strict `Text` with the given precedence. This can be overridden for efficiency, but it should satisfy:

    showtPrec p = toStrict . showtlPrec p

Since: 3

showt Source #

Arguments

:: a | The value to be converted to a strict `Text`.
-> Text |

Converts a value to a strict `Text`. This can be overridden for efficiency, but it should satisfy:

    showt = showtPrec 0
    showt = toStrict . showtl

The first equation is the default definition of `showt`.

Since: 3

showtList Source #

Arguments

:: [a] | The list of values to be converted to a strict `Text`.
-> Text |

Converts a list of values to a strict `Text`. This can be overridden for efficiency, but it should satisfy:

    showtList = toStrict . showtlList

Since: 3

showtlPrec Source #

Arguments

:: Int | The operator precedence of the enclosing context (a number from `0` to `11`). Function application has precedence `10`.
-> a | The value to be converted to a lazy `Text`.
-> Text |

Converts a value to a lazy `Text` with the given precedence. This can be overridden for efficiency, but it should satisfy:

    showtlPrec p = toLazyText . showbPrec p

Since: 3

showtl Source #

Arguments

:: a | The value to be converted to a lazy `Text`.
-> Text |

Converts a value to a lazy `Text`. This can be overridden for efficiency, but it should satisfy:

    showtl = showtlPrec 0
    showtl = toLazyText . showb

The first equation is the default definition of `showtl`.

Since: 3

showtlList Source #

Arguments

:: [a] | The list of values to be converted to a lazy `Text`.
-> Text |

Converts a list of values to a lazy `Text`. This can be overridden for efficiency, but it should satisfy:

    showtlList = toLazyText . showbList

Since: 3

#### Instances

Instances details

TextShow NestedAtomically Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> NestedAtomically -> Builder Source #

showb :: NestedAtomically -> Builder Source #

showbList :: [NestedAtomically] -> Builder Source #

showtPrec :: Int -> NestedAtomically -> Text Source #

showt :: NestedAtomically -> Text Source #

showtList :: [NestedAtomically] -> Text Source #

showtlPrec :: Int -> NestedAtomically -> Text Source #

showtl :: NestedAtomically -> Text Source #

showtlList :: [NestedAtomically] -> Text Source #

TextShow NoMethodError Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> NoMethodError -> Builder Source #

showb :: NoMethodError -> Builder Source #

showbList :: [NoMethodError] -> Builder Source #

showtPrec :: Int -> NoMethodError -> Text Source #

showt :: NoMethodError -> Text Source #

showtList :: [NoMethodError] -> Text Source #

showtlPrec :: Int -> NoMethodError -> Text Source #

showtl :: NoMethodError -> Text Source #

showtlList :: [NoMethodError] -> Text Source #

TextShow NonTermination Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> NonTermination -> Builder Source #

showb :: NonTermination -> Builder Source #

showbList :: [NonTermination] -> Builder Source #

showtPrec :: Int -> NonTermination -> Text Source #

showt :: NonTermination -> Text Source #

showtList :: [NonTermination] -> Text Source #

showtlPrec :: Int -> NonTermination -> Text Source #

showtl :: NonTermination -> Text Source #

showtlList :: [NonTermination] -> Text Source #

TextShow PatternMatchFail Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> PatternMatchFail -> Builder Source #

showb :: PatternMatchFail -> Builder Source #

showbList :: [PatternMatchFail] -> Builder Source #

showtPrec :: Int -> PatternMatchFail -> Text Source #

showt :: PatternMatchFail -> Text Source #

showtList :: [PatternMatchFail] -> Text Source #

showtlPrec :: Int -> PatternMatchFail -> Text Source #

showtl :: PatternMatchFail -> Text Source #

showtlList :: [PatternMatchFail] -> Text Source #

TextShow RecConError Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> RecConError -> Builder Source #

showb :: RecConError -> Builder Source #

showbList :: [RecConError] -> Builder Source #

showtPrec :: Int -> RecConError -> Text Source #

showt :: RecConError -> Text Source #

showtList :: [RecConError] -> Text Source #

showtlPrec :: Int -> RecConError -> Text Source #

showtl :: RecConError -> Text Source #

showtlList :: [RecConError] -> Text Source #

TextShow RecSelError Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> RecSelError -> Builder Source #

showb :: RecSelError -> Builder Source #

showbList :: [RecSelError] -> Builder Source #

showtPrec :: Int -> RecSelError -> Text Source #

showt :: RecSelError -> Text Source #

showtList :: [RecSelError] -> Text Source #

showtlPrec :: Int -> RecSelError -> Text Source #

showtl :: RecSelError -> Text Source #

showtlList :: [RecSelError] -> Text Source #

TextShow RecUpdError Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> RecUpdError -> Builder Source #

showb :: RecUpdError -> Builder Source #

showbList :: [RecUpdError] -> Builder Source #

showtPrec :: Int -> RecUpdError -> Text Source #

showt :: RecUpdError -> Text Source #

showtList :: [RecUpdError] -> Text Source #

showtlPrec :: Int -> RecUpdError -> Text Source #

showtl :: RecUpdError -> Text Source #

showtlList :: [RecUpdError] -> Text Source #

TextShow TypeError Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> TypeError -> Builder Source #

showb :: TypeError -> Builder Source #

showbList :: [TypeError] -> Builder Source #

showtPrec :: Int -> TypeError -> Text Source #

showt :: TypeError -> Text Source #

showtList :: [TypeError] -> Text Source #

showtlPrec :: Int -> TypeError -> Text Source #

showtl :: TypeError -> Text Source #

showtlList :: [TypeError] -> Text Source #

TextShow ByteArray Source # | Since: 3.10

Instance details

Defined in TextShow.Data.Array.Byte

Methods

showbPrec :: Int -> ByteArray -> Builder Source #

showb :: ByteArray -> Builder Source #

showbList :: [ByteArray] -> Builder Source #

showtPrec :: Int -> ByteArray -> Text Source #

showt :: ByteArray -> Text Source #

showtList :: [ByteArray] -> Text Source #

showtlPrec :: Int -> ByteArray -> Text Source #

showtl :: ByteArray -> Text Source #

showtlList :: [ByteArray] -> Text Source #

TextShow Constr Source # | Since: 2

Instance details

Defined in TextShow.Data.Data

Methods

showbPrec :: Int -> Constr -> Builder Source #

showb :: Constr -> Builder Source #

showbList :: [Constr] -> Builder Source #

showtPrec :: Int -> Constr -> Text Source #

showt :: Constr -> Text Source #

showtList :: [Constr] -> Text Source #

showtlPrec :: Int -> Constr -> Text Source #

showtl :: Constr -> Text Source #

showtlList :: [Constr] -> Text Source #

TextShow ConstrRep Source # | Since: 2

Instance details

Defined in TextShow.Data.Data

Methods

showbPrec :: Int -> ConstrRep -> Builder Source #

showb :: ConstrRep -> Builder Source #

showbList :: [ConstrRep] -> Builder Source #

showtPrec :: Int -> ConstrRep -> Text Source #

showt :: ConstrRep -> Text Source #

showtList :: [ConstrRep] -> Text Source #

showtlPrec :: Int -> ConstrRep -> Text Source #

showtl :: ConstrRep -> Text Source #

showtlList :: [ConstrRep] -> Text Source #

TextShow DataRep Source # | Since: 2

Instance details

Defined in TextShow.Data.Data

Methods

showbPrec :: Int -> DataRep -> Builder Source #

showb :: DataRep -> Builder Source #

showbList :: [DataRep] -> Builder Source #

showtPrec :: Int -> DataRep -> Text Source #

showt :: DataRep -> Text Source #

showtList :: [DataRep] -> Text Source #

showtlPrec :: Int -> DataRep -> Text Source #

showtl :: DataRep -> Text Source #

showtlList :: [DataRep] -> Text Source #

TextShow DataType Source # | Since: 2

Instance details

Defined in TextShow.Data.Data

Methods

showbPrec :: Int -> DataType -> Builder Source #

showb :: DataType -> Builder Source #

showbList :: [DataType] -> Builder Source #

showtPrec :: Int -> DataType -> Text Source #

showt :: DataType -> Text Source #

showtList :: [DataType] -> Text Source #

showtlPrec :: Int -> DataType -> Text Source #

showtl :: DataType -> Text Source #

showtlList :: [DataType] -> Text Source #

TextShow Fixity Source # | Since: 2

Instance details

Defined in TextShow.Data.Data

Methods

showbPrec :: Int -> Fixity -> Builder Source #

showb :: Fixity -> Builder Source #

showbList :: [Fixity] -> Builder Source #

showtPrec :: Int -> Fixity -> Text Source #

showt :: Fixity -> Text Source #

showtList :: [Fixity] -> Text Source #

showtlPrec :: Int -> Fixity -> Text Source #

showtl :: Fixity -> Text Source #

showtlList :: [Fixity] -> Text Source #

TextShow Dynamic Source # | Since: 2

Instance details

Defined in TextShow.Data.Dynamic

Methods

showbPrec :: Int -> Dynamic -> Builder Source #

showb :: Dynamic -> Builder Source #

showbList :: [Dynamic] -> Builder Source #

showtPrec :: Int -> Dynamic -> Text Source #

showt :: Dynamic -> Text Source #

showtList :: [Dynamic] -> Text Source #

showtlPrec :: Int -> Dynamic -> Text Source #

showtl :: Dynamic -> Text Source #

showtlList :: [Dynamic] -> Text Source #

TextShow All Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods showbPrec :: Int -> All -> Builder Source # showb :: All -> Builder Source # showbList :: [All] -> Builder Source # showtPrec :: Int -> All -> Text Source # showt :: All -> Text Source # showtList :: [All] -> Text Source # showtlPrec :: Int -> All -> Text Source # showtl :: All -> Text Source # showtlList :: [All] -> Text Source #
TextShow Any Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods showbPrec :: Int -> Any -> Builder Source # showb :: Any -> Builder Source # showbList :: [Any] -> Builder Source # showtPrec :: Int -> Any -> Text Source # showt :: Any -> Text Source # showtList :: [Any] -> Text Source # showtlPrec :: Int -> Any -> Text Source # showtl :: Any -> Text Source # showtlList :: [Any] -> Text Source #
TextShow SomeTypeRep Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.Data.Typeable

Methods

showbPrec :: Int -> SomeTypeRep -> Builder Source #

showb :: SomeTypeRep -> Builder Source #

showbList :: [SomeTypeRep] -> Builder Source #

showtPrec :: Int -> SomeTypeRep -> Text Source #

showt :: SomeTypeRep -> Text Source #

showtList :: [SomeTypeRep] -> Text Source #

showtlPrec :: Int -> SomeTypeRep -> Text Source #

showtl :: SomeTypeRep -> Text Source #

showtlList :: [SomeTypeRep] -> Text Source #

TextShow Version Source # | Since: 2

Instance details

Defined in TextShow.Data.Version

Methods

showbPrec :: Int -> Version -> Builder Source #

showb :: Version -> Builder Source #

showbList :: [Version] -> Builder Source #

showtPrec :: Int -> Version -> Text Source #

showt :: Version -> Text Source #

showtList :: [Version] -> Text Source #

showtlPrec :: Int -> Version -> Text Source #

showtl :: Version -> Text Source #

showtlList :: [Version] -> Text Source #

TextShow CBool Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CBool -> Builder Source #

showb :: CBool -> Builder Source #

showbList :: [CBool] -> Builder Source #

showtPrec :: Int -> CBool -> Text Source #

showt :: CBool -> Text Source #

showtList :: [CBool] -> Text Source #

showtlPrec :: Int -> CBool -> Text Source #

showtl :: CBool -> Text Source #

showtlList :: [CBool] -> Text Source #

TextShow CChar Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CChar -> Builder Source #

showb :: CChar -> Builder Source #

showbList :: [CChar] -> Builder Source #

showtPrec :: Int -> CChar -> Text Source #

showt :: CChar -> Text Source #

showtList :: [CChar] -> Text Source #

showtlPrec :: Int -> CChar -> Text Source #

showtl :: CChar -> Text Source #

showtlList :: [CChar] -> Text Source #

TextShow CClock Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CClock -> Builder Source #

showb :: CClock -> Builder Source #

showbList :: [CClock] -> Builder Source #

showtPrec :: Int -> CClock -> Text Source #

showt :: CClock -> Text Source #

showtList :: [CClock] -> Text Source #

showtlPrec :: Int -> CClock -> Text Source #

showtl :: CClock -> Text Source #

showtlList :: [CClock] -> Text Source #

TextShow CDouble Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CDouble -> Builder Source #

showb :: CDouble -> Builder Source #

showbList :: [CDouble] -> Builder Source #

showtPrec :: Int -> CDouble -> Text Source #

showt :: CDouble -> Text Source #

showtList :: [CDouble] -> Text Source #

showtlPrec :: Int -> CDouble -> Text Source #

showtl :: CDouble -> Text Source #

showtlList :: [CDouble] -> Text Source #

TextShow CFloat Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CFloat -> Builder Source #

showb :: CFloat -> Builder Source #

showbList :: [CFloat] -> Builder Source #

showtPrec :: Int -> CFloat -> Text Source #

showt :: CFloat -> Text Source #

showtList :: [CFloat] -> Text Source #

showtlPrec :: Int -> CFloat -> Text Source #

showtl :: CFloat -> Text Source #

showtlList :: [CFloat] -> Text Source #

TextShow CInt Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CInt -> Builder Source #

showb :: CInt -> Builder Source #

showbList :: [CInt] -> Builder Source #

showtPrec :: Int -> CInt -> Text Source #

showt :: CInt -> Text Source #

showtList :: [CInt] -> Text Source #

showtlPrec :: Int -> CInt -> Text Source #

showtl :: CInt -> Text Source #

showtlList :: [CInt] -> Text Source #

TextShow CIntMax Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CIntMax -> Builder Source #

showb :: CIntMax -> Builder Source #

showbList :: [CIntMax] -> Builder Source #

showtPrec :: Int -> CIntMax -> Text Source #

showt :: CIntMax -> Text Source #

showtList :: [CIntMax] -> Text Source #

showtlPrec :: Int -> CIntMax -> Text Source #

showtl :: CIntMax -> Text Source #

showtlList :: [CIntMax] -> Text Source #

TextShow CIntPtr Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CIntPtr -> Builder Source #

showb :: CIntPtr -> Builder Source #

showbList :: [CIntPtr] -> Builder Source #

showtPrec :: Int -> CIntPtr -> Text Source #

showt :: CIntPtr -> Text Source #

showtList :: [CIntPtr] -> Text Source #

showtlPrec :: Int -> CIntPtr -> Text Source #

showtl :: CIntPtr -> Text Source #

showtlList :: [CIntPtr] -> Text Source #

TextShow CLLong Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CLLong -> Builder Source #

showb :: CLLong -> Builder Source #

showbList :: [CLLong] -> Builder Source #

showtPrec :: Int -> CLLong -> Text Source #

showt :: CLLong -> Text Source #

showtList :: [CLLong] -> Text Source #

showtlPrec :: Int -> CLLong -> Text Source #

showtl :: CLLong -> Text Source #

showtlList :: [CLLong] -> Text Source #

TextShow CLong Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CLong -> Builder Source #

showb :: CLong -> Builder Source #

showbList :: [CLong] -> Builder Source #

showtPrec :: Int -> CLong -> Text Source #

showt :: CLong -> Text Source #

showtList :: [CLong] -> Text Source #

showtlPrec :: Int -> CLong -> Text Source #

showtl :: CLong -> Text Source #

showtlList :: [CLong] -> Text Source #

TextShow CPtrdiff Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CPtrdiff -> Builder Source #

showb :: CPtrdiff -> Builder Source #

showbList :: [CPtrdiff] -> Builder Source #

showtPrec :: Int -> CPtrdiff -> Text Source #

showt :: CPtrdiff -> Text Source #

showtList :: [CPtrdiff] -> Text Source #

showtlPrec :: Int -> CPtrdiff -> Text Source #

showtl :: CPtrdiff -> Text Source #

showtlList :: [CPtrdiff] -> Text Source #

TextShow CSChar Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CSChar -> Builder Source #

showb :: CSChar -> Builder Source #

showbList :: [CSChar] -> Builder Source #

showtPrec :: Int -> CSChar -> Text Source #

showt :: CSChar -> Text Source #

showtList :: [CSChar] -> Text Source #

showtlPrec :: Int -> CSChar -> Text Source #

showtl :: CSChar -> Text Source #

showtlList :: [CSChar] -> Text Source #

TextShow CSUSeconds Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CSUSeconds -> Builder Source #

showb :: CSUSeconds -> Builder Source #

showbList :: [CSUSeconds] -> Builder Source #

showtPrec :: Int -> CSUSeconds -> Text Source #

showt :: CSUSeconds -> Text Source #

showtList :: [CSUSeconds] -> Text Source #

showtlPrec :: Int -> CSUSeconds -> Text Source #

showtl :: CSUSeconds -> Text Source #

showtlList :: [CSUSeconds] -> Text Source #

TextShow CShort Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CShort -> Builder Source #

showb :: CShort -> Builder Source #

showbList :: [CShort] -> Builder Source #

showtPrec :: Int -> CShort -> Text Source #

showt :: CShort -> Text Source #

showtList :: [CShort] -> Text Source #

showtlPrec :: Int -> CShort -> Text Source #

showtl :: CShort -> Text Source #

showtlList :: [CShort] -> Text Source #

TextShow CSigAtomic Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CSigAtomic -> Builder Source #

showb :: CSigAtomic -> Builder Source #

showbList :: [CSigAtomic] -> Builder Source #

showtPrec :: Int -> CSigAtomic -> Text Source #

showt :: CSigAtomic -> Text Source #

showtList :: [CSigAtomic] -> Text Source #

showtlPrec :: Int -> CSigAtomic -> Text Source #

showtl :: CSigAtomic -> Text Source #

showtlList :: [CSigAtomic] -> Text Source #

TextShow CSize Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CSize -> Builder Source #

showb :: CSize -> Builder Source #

showbList :: [CSize] -> Builder Source #

showtPrec :: Int -> CSize -> Text Source #

showt :: CSize -> Text Source #

showtList :: [CSize] -> Text Source #

showtlPrec :: Int -> CSize -> Text Source #

showtl :: CSize -> Text Source #

showtlList :: [CSize] -> Text Source #

TextShow CTime Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CTime -> Builder Source #

showb :: CTime -> Builder Source #

showbList :: [CTime] -> Builder Source #

showtPrec :: Int -> CTime -> Text Source #

showt :: CTime -> Text Source #

showtList :: [CTime] -> Text Source #

showtlPrec :: Int -> CTime -> Text Source #

showtl :: CTime -> Text Source #

showtlList :: [CTime] -> Text Source #

TextShow CUChar Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CUChar -> Builder Source #

showb :: CUChar -> Builder Source #

showbList :: [CUChar] -> Builder Source #

showtPrec :: Int -> CUChar -> Text Source #

showt :: CUChar -> Text Source #

showtList :: [CUChar] -> Text Source #

showtlPrec :: Int -> CUChar -> Text Source #

showtl :: CUChar -> Text Source #

showtlList :: [CUChar] -> Text Source #

TextShow CUInt Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CUInt -> Builder Source #

showb :: CUInt -> Builder Source #

showbList :: [CUInt] -> Builder Source #

showtPrec :: Int -> CUInt -> Text Source #

showt :: CUInt -> Text Source #

showtList :: [CUInt] -> Text Source #

showtlPrec :: Int -> CUInt -> Text Source #

showtl :: CUInt -> Text Source #

showtlList :: [CUInt] -> Text Source #

TextShow CUIntMax Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CUIntMax -> Builder Source #

showb :: CUIntMax -> Builder Source #

showbList :: [CUIntMax] -> Builder Source #

showtPrec :: Int -> CUIntMax -> Text Source #

showt :: CUIntMax -> Text Source #

showtList :: [CUIntMax] -> Text Source #

showtlPrec :: Int -> CUIntMax -> Text Source #

showtl :: CUIntMax -> Text Source #

showtlList :: [CUIntMax] -> Text Source #

TextShow CUIntPtr Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CUIntPtr -> Builder Source #

showb :: CUIntPtr -> Builder Source #

showbList :: [CUIntPtr] -> Builder Source #

showtPrec :: Int -> CUIntPtr -> Text Source #

showt :: CUIntPtr -> Text Source #

showtList :: [CUIntPtr] -> Text Source #

showtlPrec :: Int -> CUIntPtr -> Text Source #

showtl :: CUIntPtr -> Text Source #

showtlList :: [CUIntPtr] -> Text Source #

TextShow CULLong Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CULLong -> Builder Source #

showb :: CULLong -> Builder Source #

showbList :: [CULLong] -> Builder Source #

showtPrec :: Int -> CULLong -> Text Source #

showt :: CULLong -> Text Source #

showtList :: [CULLong] -> Text Source #

showtlPrec :: Int -> CULLong -> Text Source #

showtl :: CULLong -> Text Source #

showtlList :: [CULLong] -> Text Source #

TextShow CULong Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CULong -> Builder Source #

showb :: CULong -> Builder Source #

showbList :: [CULong] -> Builder Source #

showtPrec :: Int -> CULong -> Text Source #

showt :: CULong -> Text Source #

showtList :: [CULong] -> Text Source #

showtlPrec :: Int -> CULong -> Text Source #

showtl :: CULong -> Text Source #

showtlList :: [CULong] -> Text Source #

TextShow CUSeconds Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CUSeconds -> Builder Source #

showb :: CUSeconds -> Builder Source #

showbList :: [CUSeconds] -> Builder Source #

showtPrec :: Int -> CUSeconds -> Text Source #

showt :: CUSeconds -> Text Source #

showtList :: [CUSeconds] -> Text Source #

showtlPrec :: Int -> CUSeconds -> Text Source #

showtl :: CUSeconds -> Text Source #

showtlList :: [CUSeconds] -> Text Source #

TextShow CUShort Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CUShort -> Builder Source #

showb :: CUShort -> Builder Source #

showbList :: [CUShort] -> Builder Source #

showtPrec :: Int -> CUShort -> Text Source #

showt :: CUShort -> Text Source #

showtList :: [CUShort] -> Text Source #

showtlPrec :: Int -> CUShort -> Text Source #

showtl :: CUShort -> Text Source #

showtlList :: [CUShort] -> Text Source #

TextShow CWchar Source # | Since: 2

Instance details

Defined in TextShow.Foreign.C.Types

Methods

showbPrec :: Int -> CWchar -> Builder Source #

showb :: CWchar -> Builder Source #

showbList :: [CWchar] -> Builder Source #

showtPrec :: Int -> CWchar -> Text Source #

showt :: CWchar -> Text Source #

showtList :: [CWchar] -> Text Source #

showtlPrec :: Int -> CWchar -> Text Source #

showtl :: CWchar -> Text Source #

showtlList :: [CWchar] -> Text Source #

TextShow IntPtr Source # | Since: 2

Instance details

Defined in TextShow.Foreign.Ptr

Methods

showbPrec :: Int -> IntPtr -> Builder Source #

showb :: IntPtr -> Builder Source #

showbList :: [IntPtr] -> Builder Source #

showtPrec :: Int -> IntPtr -> Text Source #

showt :: IntPtr -> Text Source #

showtList :: [IntPtr] -> Text Source #

showtlPrec :: Int -> IntPtr -> Text Source #

showtl :: IntPtr -> Text Source #

showtlList :: [IntPtr] -> Text Source #

TextShow WordPtr Source # | Since: 2

Instance details

Defined in TextShow.Foreign.Ptr

Methods

showbPrec :: Int -> WordPtr -> Builder Source #

showb :: WordPtr -> Builder Source #

showbList :: [WordPtr] -> Builder Source #

showtPrec :: Int -> WordPtr -> Text Source #

showt :: WordPtr -> Text Source #

showtList :: [WordPtr] -> Text Source #

showtlPrec :: Int -> WordPtr -> Text Source #

showtl :: WordPtr -> Text Source #

showtlList :: [WordPtr] -> Text Source #

TextShow Void Source # | Since: 2
Instance details Defined in TextShow.Data.Void Methods showbPrec :: Int -> Void -> Builder Source # showb :: Void -> Builder Source # showbList :: [Void] -> Builder Source # showtPrec :: Int -> Void -> Text Source # showt :: Void -> Text Source # showtList :: [Void] -> Text Source # showtlPrec :: Int -> Void -> Text Source # showtl :: Void -> Text Source # showtlList :: [Void] -> Text Source #
TextShow BlockReason Source # | Since: 2

Instance details

Defined in TextShow.Control.Concurrent

Methods

showbPrec :: Int -> BlockReason -> Builder Source #

showb :: BlockReason -> Builder Source #

showbList :: [BlockReason] -> Builder Source #

showtPrec :: Int -> BlockReason -> Text Source #

showt :: BlockReason -> Text Source #

showtList :: [BlockReason] -> Text Source #

showtlPrec :: Int -> BlockReason -> Text Source #

showtl :: BlockReason -> Text Source #

showtlList :: [BlockReason] -> Text Source #

TextShow ThreadId Source # | Since: 2

Instance details

Defined in TextShow.Control.Concurrent

Methods

showbPrec :: Int -> ThreadId -> Builder Source #

showb :: ThreadId -> Builder Source #

showbList :: [ThreadId] -> Builder Source #

showtPrec :: Int -> ThreadId -> Text Source #

showt :: ThreadId -> Text Source #

showtList :: [ThreadId] -> Text Source #

showtlPrec :: Int -> ThreadId -> Text Source #

showtl :: ThreadId -> Text Source #

showtlList :: [ThreadId] -> Text Source #

TextShow ThreadStatus Source # | Since: 2

Instance details

Defined in TextShow.Control.Concurrent

Methods

showbPrec :: Int -> ThreadStatus -> Builder Source #

showb :: ThreadStatus -> Builder Source #

showbList :: [ThreadStatus] -> Builder Source #

showtPrec :: Int -> ThreadStatus -> Text Source #

showt :: ThreadStatus -> Text Source #

showtList :: [ThreadStatus] -> Text Source #

showtlPrec :: Int -> ThreadStatus -> Text Source #

showtl :: ThreadStatus -> Text Source #

showtlList :: [ThreadStatus] -> Text Source #

TextShow Event Source # | Since: 2

Instance details

Defined in TextShow.GHC.Event

Methods

showbPrec :: Int -> Event -> Builder Source #

showb :: Event -> Builder Source #

showbList :: [Event] -> Builder Source #

showtPrec :: Int -> Event -> Text Source #

showt :: Event -> Text Source #

showtList :: [Event] -> Text Source #

showtlPrec :: Int -> Event -> Text Source #

showtl :: Event -> Text Source #

showtlList :: [Event] -> Text Source #

TextShow Lifetime Source # | Only available with `base-4.8.1.0` or later. Since: 2

Instance details

Defined in TextShow.GHC.Event

Methods

showbPrec :: Int -> Lifetime -> Builder Source #

showb :: Lifetime -> Builder Source #

showbList :: [Lifetime] -> Builder Source #

showtPrec :: Int -> Lifetime -> Text Source #

showt :: Lifetime -> Text Source #

showtList :: [Lifetime] -> Text Source #

showtlPrec :: Int -> Lifetime -> Text Source #

showtl :: Lifetime -> Text Source #

showtlList :: [Lifetime] -> Text Source #

TextShow FdKey Source # | Since: 2

Instance details

Defined in TextShow.GHC.Event

Methods

showbPrec :: Int -> FdKey -> Builder Source #

showb :: FdKey -> Builder Source #

showbList :: [FdKey] -> Builder Source #

showtPrec :: Int -> FdKey -> Text Source #

showt :: FdKey -> Text Source #

showtList :: [FdKey] -> Text Source #

showtlPrec :: Int -> FdKey -> Text Source #

showtl :: FdKey -> Text Source #

showtlList :: [FdKey] -> Text Source #

TextShow Unique Source # |

Instance details

Defined in TextShow.GHC.Event

Methods

showbPrec :: Int -> Unique -> Builder Source #

showb :: Unique -> Builder Source #

showbList :: [Unique] -> Builder Source #

showtPrec :: Int -> Unique -> Text Source #

showt :: Unique -> Text Source #

showtList :: [Unique] -> Text Source #

showtlPrec :: Int -> Unique -> Text Source #

showtl :: Unique -> Text Source #

showtlList :: [Unique] -> Text Source #

TextShow ErrorCall Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> ErrorCall -> Builder Source #

showb :: ErrorCall -> Builder Source #

showbList :: [ErrorCall] -> Builder Source #

showtPrec :: Int -> ErrorCall -> Text Source #

showt :: ErrorCall -> Text Source #

showtList :: [ErrorCall] -> Text Source #

showtlPrec :: Int -> ErrorCall -> Text Source #

showtl :: ErrorCall -> Text Source #

showtlList :: [ErrorCall] -> Text Source #

TextShow ArithException Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> ArithException -> Builder Source #

showb :: ArithException -> Builder Source #

showbList :: [ArithException] -> Builder Source #

showtPrec :: Int -> ArithException -> Text Source #

showt :: ArithException -> Text Source #

showtList :: [ArithException] -> Text Source #

showtlPrec :: Int -> ArithException -> Text Source #

showtl :: ArithException -> Text Source #

showtlList :: [ArithException] -> Text Source #

TextShow SomeException Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> SomeException -> Builder Source #

showb :: SomeException -> Builder Source #

showbList :: [SomeException] -> Builder Source #

showtPrec :: Int -> SomeException -> Text Source #

showt :: SomeException -> Text Source #

showtList :: [SomeException] -> Text Source #

showtlPrec :: Int -> SomeException -> Text Source #

showtl :: SomeException -> Text Source #

showtlList :: [SomeException] -> Text Source #

TextShow Fingerprint Source # | Since: 2

Instance details

Defined in TextShow.GHC.Fingerprint

Methods

showbPrec :: Int -> Fingerprint -> Builder Source #

showb :: Fingerprint -> Builder Source #

showbList :: [Fingerprint] -> Builder Source #

showtPrec :: Int -> Fingerprint -> Text Source #

showt :: Fingerprint -> Text Source #

showtList :: [Fingerprint] -> Text Source #

showtlPrec :: Int -> Fingerprint -> Text Source #

showtl :: Fingerprint -> Text Source #

showtlList :: [Fingerprint] -> Text Source #

TextShow Associativity Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> Associativity -> Builder Source #

showb :: Associativity -> Builder Source #

showbList :: [Associativity] -> Builder Source #

showtPrec :: Int -> Associativity -> Text Source #

showt :: Associativity -> Text Source #

showtList :: [Associativity] -> Text Source #

showtlPrec :: Int -> Associativity -> Text Source #

showtl :: Associativity -> Text Source #

showtlList :: [Associativity] -> Text Source #

TextShow DecidedStrictness Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> DecidedStrictness -> Builder Source #

showb :: DecidedStrictness -> Builder Source #

showbList :: [DecidedStrictness] -> Builder Source #

showtPrec :: Int -> DecidedStrictness -> Text Source #

showt :: DecidedStrictness -> Text Source #

showtList :: [DecidedStrictness] -> Text Source #

showtlPrec :: Int -> DecidedStrictness -> Text Source #

showtl :: DecidedStrictness -> Text Source #

showtlList :: [DecidedStrictness] -> Text Source #

TextShow Fixity Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> Fixity -> Builder Source #

showb :: Fixity -> Builder Source #

showbList :: [Fixity] -> Builder Source #

showtPrec :: Int -> Fixity -> Text Source #

showt :: Fixity -> Text Source #

showtList :: [Fixity] -> Text Source #

showtlPrec :: Int -> Fixity -> Text Source #

showtl :: Fixity -> Text Source #

showtlList :: [Fixity] -> Text Source #

TextShow SourceStrictness Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> SourceStrictness -> Builder Source #

showb :: SourceStrictness -> Builder Source #

showbList :: [SourceStrictness] -> Builder Source #

showtPrec :: Int -> SourceStrictness -> Text Source #

showt :: SourceStrictness -> Text Source #

showtList :: [SourceStrictness] -> Text Source #

showtlPrec :: Int -> SourceStrictness -> Text Source #

showtl :: SourceStrictness -> Text Source #

showtlList :: [SourceStrictness] -> Text Source #

TextShow SourceUnpackedness Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> SourceUnpackedness -> Builder Source #

showb :: SourceUnpackedness -> Builder Source #

showbList :: [SourceUnpackedness] -> Builder Source #

showtPrec :: Int -> SourceUnpackedness -> Text Source #

showt :: SourceUnpackedness -> Text Source #

showtList :: [SourceUnpackedness] -> Text Source #

showtlPrec :: Int -> SourceUnpackedness -> Text Source #

showtl :: SourceUnpackedness -> Text Source #

showtlList :: [SourceUnpackedness] -> Text Source #

TextShow MaskingState Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> MaskingState -> Builder Source #

showb :: MaskingState -> Builder Source #

showbList :: [MaskingState] -> Builder Source #

showtPrec :: Int -> MaskingState -> Text Source #

showt :: MaskingState -> Text Source #

showtList :: [MaskingState] -> Text Source #

showtlPrec :: Int -> MaskingState -> Text Source #

showtl :: MaskingState -> Text Source #

showtlList :: [MaskingState] -> Text Source #

TextShow SeekMode Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> SeekMode -> Builder Source #

showb :: SeekMode -> Builder Source #

showbList :: [SeekMode] -> Builder Source #

showtPrec :: Int -> SeekMode -> Text Source #

showt :: SeekMode -> Text Source #

showtList :: [SeekMode] -> Text Source #

showtlPrec :: Int -> SeekMode -> Text Source #

showtl :: SeekMode -> Text Source #

showtlList :: [SeekMode] -> Text Source #

TextShow CodingFailureMode Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> CodingFailureMode -> Builder Source #

showb :: CodingFailureMode -> Builder Source #

showbList :: [CodingFailureMode] -> Builder Source #

showtPrec :: Int -> CodingFailureMode -> Text Source #

showt :: CodingFailureMode -> Text Source #

showtList :: [CodingFailureMode] -> Text Source #

showtlPrec :: Int -> CodingFailureMode -> Text Source #

showtl :: CodingFailureMode -> Text Source #

showtlList :: [CodingFailureMode] -> Text Source #

TextShow CodingProgress Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> CodingProgress -> Builder Source #

showb :: CodingProgress -> Builder Source #

showbList :: [CodingProgress] -> Builder Source #

showtPrec :: Int -> CodingProgress -> Text Source #

showt :: CodingProgress -> Text Source #

showtList :: [CodingProgress] -> Text Source #

showtlPrec :: Int -> CodingProgress -> Text Source #

showtl :: CodingProgress -> Text Source #

showtlList :: [CodingProgress] -> Text Source #

TextShow TextEncoding Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> TextEncoding -> Builder Source #

showb :: TextEncoding -> Builder Source #

showbList :: [TextEncoding] -> Builder Source #

showtPrec :: Int -> TextEncoding -> Text Source #

showt :: TextEncoding -> Text Source #

showtList :: [TextEncoding] -> Text Source #

showtlPrec :: Int -> TextEncoding -> Text Source #

showtl :: TextEncoding -> Text Source #

showtlList :: [TextEncoding] -> Text Source #

TextShow AllocationLimitExceeded Source # | Only available with `base-4.8.0.0` or later. Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> AllocationLimitExceeded -> Builder Source #

showb :: AllocationLimitExceeded -> Builder Source #

showbList :: [AllocationLimitExceeded] -> Builder Source #

showtPrec :: Int -> AllocationLimitExceeded -> Text Source #

showt :: AllocationLimitExceeded -> Text Source #

showtList :: [AllocationLimitExceeded] -> Text Source #

showtlPrec :: Int -> AllocationLimitExceeded -> Text Source #

showtl :: AllocationLimitExceeded -> Text Source #

showtlList :: [AllocationLimitExceeded] -> Text Source #

TextShow ArrayException Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> ArrayException -> Builder Source #

showb :: ArrayException -> Builder Source #

showbList :: [ArrayException] -> Builder Source #

showtPrec :: Int -> ArrayException -> Text Source #

showt :: ArrayException -> Text Source #

showtList :: [ArrayException] -> Text Source #

showtlPrec :: Int -> ArrayException -> Text Source #

showtl :: ArrayException -> Text Source #

showtlList :: [ArrayException] -> Text Source #

TextShow AssertionFailed Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> AssertionFailed -> Builder Source #

showb :: AssertionFailed -> Builder Source #

showbList :: [AssertionFailed] -> Builder Source #

showtPrec :: Int -> AssertionFailed -> Text Source #

showt :: AssertionFailed -> Text Source #

showtList :: [AssertionFailed] -> Text Source #

showtlPrec :: Int -> AssertionFailed -> Text Source #

showtl :: AssertionFailed -> Text Source #

showtlList :: [AssertionFailed] -> Text Source #

TextShow AsyncException Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> AsyncException -> Builder Source #

showb :: AsyncException -> Builder Source #

showbList :: [AsyncException] -> Builder Source #

showtPrec :: Int -> AsyncException -> Text Source #

showt :: AsyncException -> Text Source #

showtList :: [AsyncException] -> Text Source #

showtlPrec :: Int -> AsyncException -> Text Source #

showtl :: AsyncException -> Text Source #

showtlList :: [AsyncException] -> Text Source #

TextShow BlockedIndefinitelyOnMVar Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> BlockedIndefinitelyOnMVar -> Builder Source #

showb :: BlockedIndefinitelyOnMVar -> Builder Source #

showbList :: [BlockedIndefinitelyOnMVar] -> Builder Source #

showtPrec :: Int -> BlockedIndefinitelyOnMVar -> Text Source #

showt :: BlockedIndefinitelyOnMVar -> Text Source #

showtList :: [BlockedIndefinitelyOnMVar] -> Text Source #

showtlPrec :: Int -> BlockedIndefinitelyOnMVar -> Text Source #

showtl :: BlockedIndefinitelyOnMVar -> Text Source #

showtlList :: [BlockedIndefinitelyOnMVar] -> Text Source #

TextShow BlockedIndefinitelyOnSTM Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> BlockedIndefinitelyOnSTM -> Builder Source #

showb :: BlockedIndefinitelyOnSTM -> Builder Source #

showbList :: [BlockedIndefinitelyOnSTM] -> Builder Source #

showtPrec :: Int -> BlockedIndefinitelyOnSTM -> Text Source #

showt :: BlockedIndefinitelyOnSTM -> Text Source #

showtList :: [BlockedIndefinitelyOnSTM] -> Text Source #

showtlPrec :: Int -> BlockedIndefinitelyOnSTM -> Text Source #

showtl :: BlockedIndefinitelyOnSTM -> Text Source #

showtlList :: [BlockedIndefinitelyOnSTM] -> Text Source #

TextShow CompactionFailed Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> CompactionFailed -> Builder Source #

showb :: CompactionFailed -> Builder Source #

showbList :: [CompactionFailed] -> Builder Source #

showtPrec :: Int -> CompactionFailed -> Text Source #

showt :: CompactionFailed -> Text Source #

showtList :: [CompactionFailed] -> Text Source #

showtlPrec :: Int -> CompactionFailed -> Text Source #

showtl :: CompactionFailed -> Text Source #

showtlList :: [CompactionFailed] -> Text Source #

TextShow Deadlock Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> Deadlock -> Builder Source #

showb :: Deadlock -> Builder Source #

showbList :: [Deadlock] -> Builder Source #

showtPrec :: Int -> Deadlock -> Text Source #

showt :: Deadlock -> Text Source #

showtList :: [Deadlock] -> Text Source #

showtlPrec :: Int -> Deadlock -> Text Source #

showtl :: Deadlock -> Text Source #

showtlList :: [Deadlock] -> Text Source #

TextShow ExitCode Source # | Since: 2

Instance details

Defined in TextShow.System.Exit

Methods

showbPrec :: Int -> ExitCode -> Builder Source #

showb :: ExitCode -> Builder Source #

showbList :: [ExitCode] -> Builder Source #

showtPrec :: Int -> ExitCode -> Text Source #

showt :: ExitCode -> Text Source #

showtList :: [ExitCode] -> Text Source #

showtlPrec :: Int -> ExitCode -> Text Source #

showtl :: ExitCode -> Text Source #

showtlList :: [ExitCode] -> Text Source #

TextShow FixIOException Source # | Only available with `base-4.11.0.0` or later. Since: 3.7.3

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> FixIOException -> Builder Source #

showb :: FixIOException -> Builder Source #

showbList :: [FixIOException] -> Builder Source #

showtPrec :: Int -> FixIOException -> Text Source #

showt :: FixIOException -> Text Source #

showtList :: [FixIOException] -> Text Source #

showtlPrec :: Int -> FixIOException -> Text Source #

showtl :: FixIOException -> Text Source #

showtlList :: [FixIOException] -> Text Source #

TextShow IOException Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> IOException -> Builder Source #

showb :: IOException -> Builder Source #

showbList :: [IOException] -> Builder Source #

showtPrec :: Int -> IOException -> Text Source #

showt :: IOException -> Text Source #

showtList :: [IOException] -> Text Source #

showtlPrec :: Int -> IOException -> Text Source #

showtl :: IOException -> Text Source #

showtlList :: [IOException] -> Text Source #

TextShow SomeAsyncException Source # | Since: 2

Instance details

Defined in TextShow.Control.Exception

Methods

showbPrec :: Int -> SomeAsyncException -> Builder Source #

showb :: SomeAsyncException -> Builder Source #

showbList :: [SomeAsyncException] -> Builder Source #

showtPrec :: Int -> SomeAsyncException -> Text Source #

showt :: SomeAsyncException -> Text Source #

showtList :: [SomeAsyncException] -> Text Source #

showtlPrec :: Int -> SomeAsyncException -> Text Source #

showtl :: SomeAsyncException -> Text Source #

showtlList :: [SomeAsyncException] -> Text Source #

TextShow HandlePosn Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> HandlePosn -> Builder Source #

showb :: HandlePosn -> Builder Source #

showbList :: [HandlePosn] -> Builder Source #

showtPrec :: Int -> HandlePosn -> Text Source #

showt :: HandlePosn -> Text Source #

showtList :: [HandlePosn] -> Text Source #

showtlPrec :: Int -> HandlePosn -> Text Source #

showtl :: HandlePosn -> Text Source #

showtlList :: [HandlePosn] -> Text Source #

TextShow BufferMode Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> BufferMode -> Builder Source #

showb :: BufferMode -> Builder Source #

showbList :: [BufferMode] -> Builder Source #

showtPrec :: Int -> BufferMode -> Text Source #

showt :: BufferMode -> Text Source #

showtList :: [BufferMode] -> Text Source #

showtlPrec :: Int -> BufferMode -> Text Source #

showtl :: BufferMode -> Text Source #

showtlList :: [BufferMode] -> Text Source #

TextShow Handle Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> Handle -> Builder Source #

showb :: Handle -> Builder Source #

showbList :: [Handle] -> Builder Source #

showtPrec :: Int -> Handle -> Text Source #

showt :: Handle -> Text Source #

showtList :: [Handle] -> Text Source #

showtlPrec :: Int -> Handle -> Text Source #

showtl :: Handle -> Text Source #

showtlList :: [Handle] -> Text Source #

TextShow Newline Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> Newline -> Builder Source #

showb :: Newline -> Builder Source #

showbList :: [Newline] -> Builder Source #

showtPrec :: Int -> Newline -> Text Source #

showt :: Newline -> Text Source #

showtList :: [Newline] -> Text Source #

showtlPrec :: Int -> Newline -> Text Source #

showtl :: Newline -> Text Source #

showtlList :: [Newline] -> Text Source #

TextShow NewlineMode Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> NewlineMode -> Builder Source #

showb :: NewlineMode -> Builder Source #

showbList :: [NewlineMode] -> Builder Source #

showtPrec :: Int -> NewlineMode -> Text Source #

showt :: NewlineMode -> Text Source #

showtList :: [NewlineMode] -> Text Source #

showtlPrec :: Int -> NewlineMode -> Text Source #

showtl :: NewlineMode -> Text Source #

showtlList :: [NewlineMode] -> Text Source #

TextShow IOMode Source # | Since: 2

Instance details

Defined in TextShow.System.IO

Methods

showbPrec :: Int -> IOMode -> Builder Source #

showb :: IOMode -> Builder Source #

showbList :: [IOMode] -> Builder Source #

showtPrec :: Int -> IOMode -> Text Source #

showt :: IOMode -> Text Source #

showtList :: [IOMode] -> Text Source #

showtlPrec :: Int -> IOMode -> Text Source #

showtl :: IOMode -> Text Source #

showtlList :: [IOMode] -> Text Source #

TextShow Int16 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Int16 -> Builder Source #

showb :: Int16 -> Builder Source #

showbList :: [Int16] -> Builder Source #

showtPrec :: Int -> Int16 -> Text Source #

showt :: Int16 -> Text Source #

showtList :: [Int16] -> Text Source #

showtlPrec :: Int -> Int16 -> Text Source #

showtl :: Int16 -> Text Source #

showtlList :: [Int16] -> Text Source #

TextShow Int32 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Int32 -> Builder Source #

showb :: Int32 -> Builder Source #

showbList :: [Int32] -> Builder Source #

showtPrec :: Int -> Int32 -> Text Source #

showt :: Int32 -> Text Source #

showtList :: [Int32] -> Text Source #

showtlPrec :: Int -> Int32 -> Text Source #

showtl :: Int32 -> Text Source #

showtlList :: [Int32] -> Text Source #

TextShow Int64 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Int64 -> Builder Source #

showb :: Int64 -> Builder Source #

showbList :: [Int64] -> Builder Source #

showtPrec :: Int -> Int64 -> Text Source #

showt :: Int64 -> Text Source #

showtList :: [Int64] -> Text Source #

showtlPrec :: Int -> Int64 -> Text Source #

showtl :: Int64 -> Text Source #

showtlList :: [Int64] -> Text Source #

TextShow Int8 Source # | Since: 2
Instance details Defined in TextShow.Data.Integral Methods showbPrec :: Int -> Int8 -> Builder Source # showb :: Int8 -> Builder Source # showbList :: [Int8] -> Builder Source # showtPrec :: Int -> Int8 -> Text Source # showt :: Int8 -> Text Source # showtList :: [Int8] -> Text Source # showtlPrec :: Int -> Int8 -> Text Source # showtl :: Int8 -> Text Source # showtlList :: [Int8] -> Text Source #
TextShow CCFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> CCFlags -> Builder Source #

showb :: CCFlags -> Builder Source #

showbList :: [CCFlags] -> Builder Source #

showtPrec :: Int -> CCFlags -> Text Source #

showt :: CCFlags -> Text Source #

showtList :: [CCFlags] -> Text Source #

showtlPrec :: Int -> CCFlags -> Text Source #

showtl :: CCFlags -> Text Source #

showtlList :: [CCFlags] -> Text Source #

TextShow ConcFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> ConcFlags -> Builder Source #

showb :: ConcFlags -> Builder Source #

showbList :: [ConcFlags] -> Builder Source #

showtPrec :: Int -> ConcFlags -> Text Source #

showt :: ConcFlags -> Text Source #

showtList :: [ConcFlags] -> Text Source #

showtlPrec :: Int -> ConcFlags -> Text Source #

showtl :: ConcFlags -> Text Source #

showtlList :: [ConcFlags] -> Text Source #

TextShow DebugFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> DebugFlags -> Builder Source #

showb :: DebugFlags -> Builder Source #

showbList :: [DebugFlags] -> Builder Source #

showtPrec :: Int -> DebugFlags -> Text Source #

showt :: DebugFlags -> Text Source #

showtList :: [DebugFlags] -> Text Source #

showtlPrec :: Int -> DebugFlags -> Text Source #

showtl :: DebugFlags -> Text Source #

showtlList :: [DebugFlags] -> Text Source #

TextShow DoCostCentres Source # | Since: 2.1

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> DoCostCentres -> Builder Source #

showb :: DoCostCentres -> Builder Source #

showbList :: [DoCostCentres] -> Builder Source #

showtPrec :: Int -> DoCostCentres -> Text Source #

showt :: DoCostCentres -> Text Source #

showtList :: [DoCostCentres] -> Text Source #

showtlPrec :: Int -> DoCostCentres -> Text Source #

showtl :: DoCostCentres -> Text Source #

showtlList :: [DoCostCentres] -> Text Source #

TextShow DoHeapProfile Source # | Since: 2.1

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> DoHeapProfile -> Builder Source #

showb :: DoHeapProfile -> Builder Source #

showbList :: [DoHeapProfile] -> Builder Source #

showtPrec :: Int -> DoHeapProfile -> Text Source #

showt :: DoHeapProfile -> Text Source #

showtList :: [DoHeapProfile] -> Text Source #

showtlPrec :: Int -> DoHeapProfile -> Text Source #

showtl :: DoHeapProfile -> Text Source #

showtlList :: [DoHeapProfile] -> Text Source #

TextShow DoTrace Source # | Since: 2.1

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> DoTrace -> Builder Source #

showb :: DoTrace -> Builder Source #

showbList :: [DoTrace] -> Builder Source #

showtPrec :: Int -> DoTrace -> Text Source #

showt :: DoTrace -> Text Source #

showtList :: [DoTrace] -> Text Source #

showtlPrec :: Int -> DoTrace -> Text Source #

showtl :: DoTrace -> Text Source #

showtlList :: [DoTrace] -> Text Source #

TextShow GCFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> GCFlags -> Builder Source #

showb :: GCFlags -> Builder Source #

showbList :: [GCFlags] -> Builder Source #

showtPrec :: Int -> GCFlags -> Text Source #

showt :: GCFlags -> Text Source #

showtList :: [GCFlags] -> Text Source #

showtlPrec :: Int -> GCFlags -> Text Source #

showtl :: GCFlags -> Text Source #

showtlList :: [GCFlags] -> Text Source #

TextShow GiveGCStats Source # | Since: 2.1

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> GiveGCStats -> Builder Source #

showb :: GiveGCStats -> Builder Source #

showbList :: [GiveGCStats] -> Builder Source #

showtPrec :: Int -> GiveGCStats -> Text Source #

showt :: GiveGCStats -> Text Source #

showtList :: [GiveGCStats] -> Text Source #

showtlPrec :: Int -> GiveGCStats -> Text Source #

showtl :: GiveGCStats -> Text Source #

showtlList :: [GiveGCStats] -> Text Source #

TextShow IoSubSystem Source # | Since: 3.9

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> IoSubSystem -> Builder Source #

showb :: IoSubSystem -> Builder Source #

showbList :: [IoSubSystem] -> Builder Source #

showtPrec :: Int -> IoSubSystem -> Text Source #

showt :: IoSubSystem -> Text Source #

showtList :: [IoSubSystem] -> Text Source #

showtlPrec :: Int -> IoSubSystem -> Text Source #

showtl :: IoSubSystem -> Text Source #

showtlList :: [IoSubSystem] -> Text Source #

TextShow MiscFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> MiscFlags -> Builder Source #

showb :: MiscFlags -> Builder Source #

showbList :: [MiscFlags] -> Builder Source #

showtPrec :: Int -> MiscFlags -> Text Source #

showt :: MiscFlags -> Text Source #

showtList :: [MiscFlags] -> Text Source #

showtlPrec :: Int -> MiscFlags -> Text Source #

showtl :: MiscFlags -> Text Source #

showtlList :: [MiscFlags] -> Text Source #

TextShow ParFlags Source # | Only available with `base-4.10.0.0` or later. Since: 3.3

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> ParFlags -> Builder Source #

showb :: ParFlags -> Builder Source #

showbList :: [ParFlags] -> Builder Source #

showtPrec :: Int -> ParFlags -> Text Source #

showt :: ParFlags -> Text Source #

showtList :: [ParFlags] -> Text Source #

showtlPrec :: Int -> ParFlags -> Text Source #

showtl :: ParFlags -> Text Source #

showtlList :: [ParFlags] -> Text Source #

TextShow ProfFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> ProfFlags -> Builder Source #

showb :: ProfFlags -> Builder Source #

showbList :: [ProfFlags] -> Builder Source #

showtPrec :: Int -> ProfFlags -> Text Source #

showt :: ProfFlags -> Text Source #

showtList :: [ProfFlags] -> Text Source #

showtlPrec :: Int -> ProfFlags -> Text Source #

showtl :: ProfFlags -> Text Source #

showtlList :: [ProfFlags] -> Text Source #

TextShow RTSFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> RTSFlags -> Builder Source #

showb :: RTSFlags -> Builder Source #

showbList :: [RTSFlags] -> Builder Source #

showtPrec :: Int -> RTSFlags -> Text Source #

showt :: RTSFlags -> Text Source #

showtList :: [RTSFlags] -> Text Source #

showtlPrec :: Int -> RTSFlags -> Text Source #

showtl :: RTSFlags -> Text Source #

showtlList :: [RTSFlags] -> Text Source #

TextShow TickyFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> TickyFlags -> Builder Source #

showb :: TickyFlags -> Builder Source #

showbList :: [TickyFlags] -> Builder Source #

showtPrec :: Int -> TickyFlags -> Text Source #

showt :: TickyFlags -> Text Source #

showtList :: [TickyFlags] -> Text Source #

showtlPrec :: Int -> TickyFlags -> Text Source #

showtl :: TickyFlags -> Text Source #

showtlList :: [TickyFlags] -> Text Source #

TextShow TraceFlags Source # | Since: 2

Instance details

Defined in TextShow.GHC.RTS.Flags

Methods

showbPrec :: Int -> TraceFlags -> Builder Source #

showb :: TraceFlags -> Builder Source #

showbList :: [TraceFlags] -> Builder Source #

showtPrec :: Int -> TraceFlags -> Text Source #

showt :: TraceFlags -> Text Source #

showtList :: [TraceFlags] -> Text Source #

showtlPrec :: Int -> TraceFlags -> Text Source #

showtl :: TraceFlags -> Text Source #

showtlList :: [TraceFlags] -> Text Source #

TextShow CallStack Source # | Since: 3.0.1

Instance details

Defined in TextShow.GHC.Stack

Methods

showbPrec :: Int -> CallStack -> Builder Source #

showb :: CallStack -> Builder Source #

showbList :: [CallStack] -> Builder Source #

showtPrec :: Int -> CallStack -> Text Source #

showt :: CallStack -> Text Source #

showtList :: [CallStack] -> Text Source #

showtlPrec :: Int -> CallStack -> Text Source #

showtl :: CallStack -> Text Source #

showtlList :: [CallStack] -> Text Source #

TextShow SrcLoc Source # | Since: 3.0.1

Instance details

Defined in TextShow.GHC.Stack

Methods

showbPrec :: Int -> SrcLoc -> Builder Source #

showb :: SrcLoc -> Builder Source #

showbList :: [SrcLoc] -> Builder Source #

showtPrec :: Int -> SrcLoc -> Text Source #

showt :: SrcLoc -> Text Source #

showtList :: [SrcLoc] -> Text Source #

showtlPrec :: Int -> SrcLoc -> Text Source #

showtl :: SrcLoc -> Text Source #

showtlList :: [SrcLoc] -> Text Source #

TextShow StaticPtrInfo Source # | Since: 2

Instance details

Defined in TextShow.GHC.StaticPtr

Methods

showbPrec :: Int -> StaticPtrInfo -> Builder Source #

showb :: StaticPtrInfo -> Builder Source #

showbList :: [StaticPtrInfo] -> Builder Source #

showtPrec :: Int -> StaticPtrInfo -> Text Source #

showt :: StaticPtrInfo -> Text Source #

showtList :: [StaticPtrInfo] -> Text Source #

showtlPrec :: Int -> StaticPtrInfo -> Text Source #

showtl :: StaticPtrInfo -> Text Source #

showtlList :: [StaticPtrInfo] -> Text Source #

TextShow SomeChar Source # | Since: 3.10.1

Instance details

Defined in TextShow.GHC.TypeLits

Methods

showbPrec :: Int -> SomeChar -> Builder Source #

showb :: SomeChar -> Builder Source #

showbList :: [SomeChar] -> Builder Source #

showtPrec :: Int -> SomeChar -> Text Source #

showt :: SomeChar -> Text Source #

showtList :: [SomeChar] -> Text Source #

showtlPrec :: Int -> SomeChar -> Text Source #

showtl :: SomeChar -> Text Source #

showtlList :: [SomeChar] -> Text Source #

TextShow SomeSymbol Source # | Since: 2

Instance details

Defined in TextShow.GHC.TypeLits

Methods

showbPrec :: Int -> SomeSymbol -> Builder Source #

showb :: SomeSymbol -> Builder Source #

showbList :: [SomeSymbol] -> Builder Source #

showtPrec :: Int -> SomeSymbol -> Text Source #

showt :: SomeSymbol -> Text Source #

showtList :: [SomeSymbol] -> Text Source #

showtlPrec :: Int -> SomeSymbol -> Text Source #

showtl :: SomeSymbol -> Text Source #

showtlList :: [SomeSymbol] -> Text Source #

TextShow SomeNat Source # | Since: 2

Instance details

Defined in TextShow.GHC.TypeLits

Methods

showbPrec :: Int -> SomeNat -> Builder Source #

showb :: SomeNat -> Builder Source #

showbList :: [SomeNat] -> Builder Source #

showtPrec :: Int -> SomeNat -> Text Source #

showt :: SomeNat -> Text Source #

showtList :: [SomeNat] -> Text Source #

showtlPrec :: Int -> SomeNat -> Text Source #

showtl :: SomeNat -> Text Source #

showtlList :: [SomeNat] -> Text Source #

TextShow GeneralCategory Source # | Since: 2

Instance details

Defined in TextShow.Data.Char

Methods

showbPrec :: Int -> GeneralCategory -> Builder Source #

showb :: GeneralCategory -> Builder Source #

showbList :: [GeneralCategory] -> Builder Source #

showtPrec :: Int -> GeneralCategory -> Text Source #

showt :: GeneralCategory -> Text Source #

showtList :: [GeneralCategory] -> Text Source #

showtlPrec :: Int -> GeneralCategory -> Text Source #

showtl :: GeneralCategory -> Text Source #

showtlList :: [GeneralCategory] -> Text Source #

TextShow Word16 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Word16 -> Builder Source #

showb :: Word16 -> Builder Source #

showbList :: [Word16] -> Builder Source #

showtPrec :: Int -> Word16 -> Text Source #

showt :: Word16 -> Text Source #

showtList :: [Word16] -> Text Source #

showtlPrec :: Int -> Word16 -> Text Source #

showtl :: Word16 -> Text Source #

showtlList :: [Word16] -> Text Source #

TextShow Word32 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Word32 -> Builder Source #

showb :: Word32 -> Builder Source #

showbList :: [Word32] -> Builder Source #

showtPrec :: Int -> Word32 -> Text Source #

showt :: Word32 -> Text Source #

showtList :: [Word32] -> Text Source #

showtlPrec :: Int -> Word32 -> Text Source #

showtl :: Word32 -> Text Source #

showtlList :: [Word32] -> Text Source #

TextShow Word64 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Word64 -> Builder Source #

showb :: Word64 -> Builder Source #

showbList :: [Word64] -> Builder Source #

showtPrec :: Int -> Word64 -> Text Source #

showt :: Word64 -> Text Source #

showtList :: [Word64] -> Text Source #

showtlPrec :: Int -> Word64 -> Text Source #

showtl :: Word64 -> Text Source #

showtlList :: [Word64] -> Text Source #

TextShow Word8 Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Word8 -> Builder Source #

showb :: Word8 -> Builder Source #

showbList :: [Word8] -> Builder Source #

showtPrec :: Int -> Word8 -> Text Source #

showt :: Word8 -> Text Source #

showtList :: [Word8] -> Text Source #

showtlPrec :: Int -> Word8 -> Text Source #

showtl :: Word8 -> Text Source #

showtlList :: [Word8] -> Text Source #

TextShow CBlkCnt Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CBlkCnt -> Builder Source #

showb :: CBlkCnt -> Builder Source #

showbList :: [CBlkCnt] -> Builder Source #

showtPrec :: Int -> CBlkCnt -> Text Source #

showt :: CBlkCnt -> Text Source #

showtList :: [CBlkCnt] -> Text Source #

showtlPrec :: Int -> CBlkCnt -> Text Source #

showtl :: CBlkCnt -> Text Source #

showtlList :: [CBlkCnt] -> Text Source #

TextShow CBlkSize Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CBlkSize -> Builder Source #

showb :: CBlkSize -> Builder Source #

showbList :: [CBlkSize] -> Builder Source #

showtPrec :: Int -> CBlkSize -> Text Source #

showt :: CBlkSize -> Text Source #

showtList :: [CBlkSize] -> Text Source #

showtlPrec :: Int -> CBlkSize -> Text Source #

showtl :: CBlkSize -> Text Source #

showtlList :: [CBlkSize] -> Text Source #

TextShow CCc Source # | Since: 2
Instance details Defined in TextShow.System.Posix.Types Methods showbPrec :: Int -> CCc -> Builder Source # showb :: CCc -> Builder Source # showbList :: [CCc] -> Builder Source # showtPrec :: Int -> CCc -> Text Source # showt :: CCc -> Text Source # showtList :: [CCc] -> Text Source # showtlPrec :: Int -> CCc -> Text Source # showtl :: CCc -> Text Source # showtlList :: [CCc] -> Text Source #
TextShow CClockId Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CClockId -> Builder Source #

showb :: CClockId -> Builder Source #

showbList :: [CClockId] -> Builder Source #

showtPrec :: Int -> CClockId -> Text Source #

showt :: CClockId -> Text Source #

showtList :: [CClockId] -> Text Source #

showtlPrec :: Int -> CClockId -> Text Source #

showtl :: CClockId -> Text Source #

showtlList :: [CClockId] -> Text Source #

TextShow CDev Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CDev -> Builder Source #

showb :: CDev -> Builder Source #

showbList :: [CDev] -> Builder Source #

showtPrec :: Int -> CDev -> Text Source #

showt :: CDev -> Text Source #

showtList :: [CDev] -> Text Source #

showtlPrec :: Int -> CDev -> Text Source #

showtl :: CDev -> Text Source #

showtlList :: [CDev] -> Text Source #

TextShow CFsBlkCnt Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CFsBlkCnt -> Builder Source #

showb :: CFsBlkCnt -> Builder Source #

showbList :: [CFsBlkCnt] -> Builder Source #

showtPrec :: Int -> CFsBlkCnt -> Text Source #

showt :: CFsBlkCnt -> Text Source #

showtList :: [CFsBlkCnt] -> Text Source #

showtlPrec :: Int -> CFsBlkCnt -> Text Source #

showtl :: CFsBlkCnt -> Text Source #

showtlList :: [CFsBlkCnt] -> Text Source #

TextShow CFsFilCnt Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CFsFilCnt -> Builder Source #

showb :: CFsFilCnt -> Builder Source #

showbList :: [CFsFilCnt] -> Builder Source #

showtPrec :: Int -> CFsFilCnt -> Text Source #

showt :: CFsFilCnt -> Text Source #

showtList :: [CFsFilCnt] -> Text Source #

showtlPrec :: Int -> CFsFilCnt -> Text Source #

showtl :: CFsFilCnt -> Text Source #

showtlList :: [CFsFilCnt] -> Text Source #

TextShow CGid Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CGid -> Builder Source #

showb :: CGid -> Builder Source #

showbList :: [CGid] -> Builder Source #

showtPrec :: Int -> CGid -> Text Source #

showt :: CGid -> Text Source #

showtList :: [CGid] -> Text Source #

showtlPrec :: Int -> CGid -> Text Source #

showtl :: CGid -> Text Source #

showtlList :: [CGid] -> Text Source #

TextShow CId Source # | Only available with `base-4.10.0.0` or later. Since: 3.6
Instance details Defined in TextShow.System.Posix.Types Methods showbPrec :: Int -> CId -> Builder Source # showb :: CId -> Builder Source # showbList :: [CId] -> Builder Source # showtPrec :: Int -> CId -> Text Source # showt :: CId -> Text Source # showtList :: [CId] -> Text Source # showtlPrec :: Int -> CId -> Text Source # showtl :: CId -> Text Source # showtlList :: [CId] -> Text Source #
TextShow CIno Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CIno -> Builder Source #

showb :: CIno -> Builder Source #

showbList :: [CIno] -> Builder Source #

showtPrec :: Int -> CIno -> Text Source #

showt :: CIno -> Text Source #

showtList :: [CIno] -> Text Source #

showtlPrec :: Int -> CIno -> Text Source #

showtl :: CIno -> Text Source #

showtlList :: [CIno] -> Text Source #

TextShow CKey Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CKey -> Builder Source #

showb :: CKey -> Builder Source #

showbList :: [CKey] -> Builder Source #

showtPrec :: Int -> CKey -> Text Source #

showt :: CKey -> Text Source #

showtList :: [CKey] -> Text Source #

showtlPrec :: Int -> CKey -> Text Source #

showtl :: CKey -> Text Source #

showtlList :: [CKey] -> Text Source #

TextShow CMode Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CMode -> Builder Source #

showb :: CMode -> Builder Source #

showbList :: [CMode] -> Builder Source #

showtPrec :: Int -> CMode -> Text Source #

showt :: CMode -> Text Source #

showtList :: [CMode] -> Text Source #

showtlPrec :: Int -> CMode -> Text Source #

showtl :: CMode -> Text Source #

showtlList :: [CMode] -> Text Source #

TextShow CNlink Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CNlink -> Builder Source #

showb :: CNlink -> Builder Source #

showbList :: [CNlink] -> Builder Source #

showtPrec :: Int -> CNlink -> Text Source #

showt :: CNlink -> Text Source #

showtList :: [CNlink] -> Text Source #

showtlPrec :: Int -> CNlink -> Text Source #

showtl :: CNlink -> Text Source #

showtlList :: [CNlink] -> Text Source #

TextShow COff Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> COff -> Builder Source #

showb :: COff -> Builder Source #

showbList :: [COff] -> Builder Source #

showtPrec :: Int -> COff -> Text Source #

showt :: COff -> Text Source #

showtList :: [COff] -> Text Source #

showtlPrec :: Int -> COff -> Text Source #

showtl :: COff -> Text Source #

showtlList :: [COff] -> Text Source #

TextShow CPid Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CPid -> Builder Source #

showb :: CPid -> Builder Source #

showbList :: [CPid] -> Builder Source #

showtPrec :: Int -> CPid -> Text Source #

showt :: CPid -> Text Source #

showtList :: [CPid] -> Text Source #

showtlPrec :: Int -> CPid -> Text Source #

showtl :: CPid -> Text Source #

showtlList :: [CPid] -> Text Source #

TextShow CRLim Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CRLim -> Builder Source #

showb :: CRLim -> Builder Source #

showbList :: [CRLim] -> Builder Source #

showtPrec :: Int -> CRLim -> Text Source #

showt :: CRLim -> Text Source #

showtList :: [CRLim] -> Text Source #

showtlPrec :: Int -> CRLim -> Text Source #

showtl :: CRLim -> Text Source #

showtlList :: [CRLim] -> Text Source #

TextShow CSpeed Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CSpeed -> Builder Source #

showb :: CSpeed -> Builder Source #

showbList :: [CSpeed] -> Builder Source #

showtPrec :: Int -> CSpeed -> Text Source #

showt :: CSpeed -> Text Source #

showtList :: [CSpeed] -> Text Source #

showtlPrec :: Int -> CSpeed -> Text Source #

showtl :: CSpeed -> Text Source #

showtlList :: [CSpeed] -> Text Source #

TextShow CSsize Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CSsize -> Builder Source #

showb :: CSsize -> Builder Source #

showbList :: [CSsize] -> Builder Source #

showtPrec :: Int -> CSsize -> Text Source #

showt :: CSsize -> Text Source #

showtList :: [CSsize] -> Text Source #

showtlPrec :: Int -> CSsize -> Text Source #

showtl :: CSsize -> Text Source #

showtlList :: [CSsize] -> Text Source #

TextShow CTcflag Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CTcflag -> Builder Source #

showb :: CTcflag -> Builder Source #

showbList :: [CTcflag] -> Builder Source #

showtPrec :: Int -> CTcflag -> Text Source #

showt :: CTcflag -> Text Source #

showtList :: [CTcflag] -> Text Source #

showtlPrec :: Int -> CTcflag -> Text Source #

showtl :: CTcflag -> Text Source #

showtlList :: [CTcflag] -> Text Source #

TextShow CTimer Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CTimer -> Builder Source #

showb :: CTimer -> Builder Source #

showbList :: [CTimer] -> Builder Source #

showtPrec :: Int -> CTimer -> Text Source #

showt :: CTimer -> Text Source #

showtList :: [CTimer] -> Text Source #

showtlPrec :: Int -> CTimer -> Text Source #

showtl :: CTimer -> Text Source #

showtlList :: [CTimer] -> Text Source #

TextShow CUid Source # | Since: 2

Instance details

Defined in TextShow.System.Posix.Types

Methods

showbPrec :: Int -> CUid -> Builder Source #

showb :: CUid -> Builder Source #

showbList :: [CUid] -> Builder Source #

showtPrec :: Int -> CUid -> Text Source #

showt :: CUid -> Text Source #

showtList :: [CUid] -> Text Source #

showtlPrec :: Int -> CUid -> Text Source #

showtl :: CUid -> Text Source #

showtlList :: [CUid] -> Text Source #

TextShow Fd Source # | Since: 2
Instance details Defined in TextShow.System.Posix.Types Methods showbPrec :: Int -> Fd -> Builder Source # showb :: Fd -> Builder Source # showbList :: [Fd] -> Builder Source # showtPrec :: Int -> Fd -> Text Source # showt :: Fd -> Text Source # showtList :: [Fd] -> Text Source # showtlPrec :: Int -> Fd -> Text Source # showtl :: Fd -> Text Source # showtlList :: [Fd] -> Text Source #
TextShow Lexeme Source # | Since: 2

Instance details

Defined in TextShow.Text.Read

Methods

showbPrec :: Int -> Lexeme -> Builder Source #

showb :: Lexeme -> Builder Source #

showbList :: [Lexeme] -> Builder Source #

showtPrec :: Int -> Lexeme -> Text Source #

showt :: Lexeme -> Text Source #

showtList :: [Lexeme] -> Text Source #

showtlPrec :: Int -> Lexeme -> Text Source #

showtl :: Lexeme -> Text Source #

showtlList :: [Lexeme] -> Text Source #

TextShow Number Source # | Since: 2

Instance details

Defined in TextShow.Text.Read

Methods

showbPrec :: Int -> Number -> Builder Source #

showb :: Number -> Builder Source #

showbList :: [Number] -> Builder Source #

showtPrec :: Int -> Number -> Text Source #

showt :: Number -> Text Source #

showtList :: [Number] -> Text Source #

showtlPrec :: Int -> Number -> Text Source #

showtl :: Number -> Text Source #

showtlList :: [Number] -> Text Source #

TextShow ByteString Source # | Since: 2

Instance details

Defined in TextShow.Data.ByteString

Methods

showbPrec :: Int -> ByteString -> Builder Source #

showb :: ByteString -> Builder Source #

showbList :: [ByteString] -> Builder Source #

showtPrec :: Int -> ByteString -> Text Source #

showt :: ByteString -> Text Source #

showtList :: [ByteString] -> Text Source #

showtlPrec :: Int -> ByteString -> Text Source #

showtl :: ByteString -> Text Source #

showtlList :: [ByteString] -> Text Source #

TextShow ByteString Source # | Since: 2

Instance details

Defined in TextShow.Data.ByteString

Methods

showbPrec :: Int -> ByteString -> Builder Source #

showb :: ByteString -> Builder Source #

showbList :: [ByteString] -> Builder Source #

showtPrec :: Int -> ByteString -> Text Source #

showt :: ByteString -> Text Source #

showtList :: [ByteString] -> Text Source #

showtlPrec :: Int -> ByteString -> Text Source #

showtl :: ByteString -> Text Source #

showtlList :: [ByteString] -> Text Source #

TextShow ShortByteString Source # | Since: 2

Instance details

Defined in TextShow.Data.ByteString

Methods

showbPrec :: Int -> ShortByteString -> Builder Source #

showb :: ShortByteString -> Builder Source #

showbList :: [ShortByteString] -> Builder Source #

showtPrec :: Int -> ShortByteString -> Text Source #

showt :: ShortByteString -> Text Source #

showtList :: [ShortByteString] -> Text Source #

showtlPrec :: Int -> ShortByteString -> Text Source #

showtl :: ShortByteString -> Text Source #

showtlList :: [ShortByteString] -> Text Source #

TextShow Module Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Defined in TextShow.Data.Typeable

Methods

showbPrec :: Int -> Module -> Builder Source #

showb :: Module -> Builder Source #

showbList :: [Module] -> Builder Source #

showtPrec :: Int -> Module -> Text Source #

showt :: Module -> Text Source #

showtList :: [Module] -> Text Source #

showtlPrec :: Int -> Module -> Text Source #

showtl :: Module -> Text Source #

showtlList :: [Module] -> Text Source #

TextShow Ordering Source # | Since: 2

Instance details

Defined in TextShow.Data.Ord

Methods

showbPrec :: Int -> Ordering -> Builder Source #

showb :: Ordering -> Builder Source #

showbList :: [Ordering] -> Builder Source #

showtPrec :: Int -> Ordering -> Text Source #

showt :: Ordering -> Text Source #

showtList :: [Ordering] -> Text Source #

showtlPrec :: Int -> Ordering -> Text Source #

showtl :: Ordering -> Text Source #

showtlList :: [Ordering] -> Text Source #

TextShow TrName Source # | Only available with `base-4.9.0.0` or later. Since: 3

Instance details

Defined in TextShow.Data.Typeable

Methods

showbPrec :: Int -> TrName -> Builder Source #

showb :: TrName -> Builder Source #

showbList :: [TrName] -> Builder Source #

showtPrec :: Int -> TrName -> Text Source #

showt :: TrName -> Text Source #

showtList :: [TrName] -> Text Source #

showtlPrec :: Int -> TrName -> Text Source #

showtl :: TrName -> Text Source #

showtlList :: [TrName] -> Text Source #

TextShow TyCon Source # | Since: 2

Instance details

Defined in TextShow.Data.Typeable

Methods

showbPrec :: Int -> TyCon -> Builder Source #

showb :: TyCon -> Builder Source #

showbList :: [TyCon] -> Builder Source #

showtPrec :: Int -> TyCon -> Text Source #

showt :: TyCon -> Text Source #

showtList :: [TyCon] -> Text Source #

showtlPrec :: Int -> TyCon -> Text Source #

showtl :: TyCon -> Text Source #

showtlList :: [TyCon] -> Text Source #

TextShow Decoding Source # | Only available with `text-1.0.0.0` or later. Since: 2

Instance details

Defined in TextShow.Data.Text

Methods

showbPrec :: Int -> Decoding -> Builder Source #

showb :: Decoding -> Builder Source #

showbList :: [Decoding] -> Builder Source #

showtPrec :: Int -> Decoding -> Text Source #

showt :: Decoding -> Text Source #

showtList :: [Decoding] -> Text Source #

showtlPrec :: Int -> Decoding -> Text Source #

showtl :: Decoding -> Text Source #

showtlList :: [Decoding] -> Text Source #

TextShow UnicodeException Source # | Since: 2

Instance details

Defined in TextShow.Data.Text

Methods

showbPrec :: Int -> UnicodeException -> Builder Source #

showb :: UnicodeException -> Builder Source #

showbList :: [UnicodeException] -> Builder Source #

showtPrec :: Int -> UnicodeException -> Text Source #

showt :: UnicodeException -> Text Source #

showtList :: [UnicodeException] -> Text Source #

showtlPrec :: Int -> UnicodeException -> Text Source #

showtl :: UnicodeException -> Text Source #

showtlList :: [UnicodeException] -> Text Source #

TextShow Text Source # | Since: 2
Instance details Defined in TextShow.Data.Text Methods showbPrec :: Int -> Text -> Builder Source # showb :: Text -> Builder Source # showbList :: [Text] -> Builder Source # showtPrec :: Int -> Text -> Text Source # showt :: Text -> Text Source # showtList :: [Text] -> Text Source # showtlPrec :: Int -> Text -> Text0 Source # showtl :: Text -> Text0 Source # showtlList :: [Text] -> Text0 Source #
TextShow Builder Source # | Since: 2

Instance details

Defined in TextShow.Data.Text

Methods

showbPrec :: Int -> Builder -> Builder Source #

showb :: Builder -> Builder Source #

showbList :: [Builder] -> Builder Source #

showtPrec :: Int -> Builder -> Text Source #

showt :: Builder -> Text Source #

showtList :: [Builder] -> Text Source #

showtlPrec :: Int -> Builder -> Text Source #

showtl :: Builder -> Text Source #

showtlList :: [Builder] -> Text Source #

TextShow Size Source # | Only available with `text-1.1.0.0` or later. Since: 2
Instance details Defined in TextShow.Data.Text Methods showbPrec :: Int -> Size -> Builder Source # showb :: Size -> Builder Source # showbList :: [Size] -> Builder Source # showtPrec :: Int -> Size -> Text Source # showt :: Size -> Text Source # showtList :: [Size] -> Text Source # showtlPrec :: Int -> Size -> Text Source # showtl :: Size -> Text Source # showtlList :: [Size] -> Text Source #
TextShow Text Source # | Since: 2
Instance details Defined in TextShow.Data.Text Methods showbPrec :: Int -> Text -> Builder Source # showb :: Text -> Builder Source # showbList :: [Text] -> Builder Source # showtPrec :: Int -> Text -> Text0 Source # showt :: Text -> Text0 Source # showtList :: [Text] -> Text0 Source # showtlPrec :: Int -> Text -> Text Source # showtl :: Text -> Text Source # showtlList :: [Text] -> Text Source #
TextShow FPFormat Source # | Since: 2

Instance details

Defined in TextShow.Data.Floating

Methods

showbPrec :: Int -> FPFormat -> Builder Source #

showb :: FPFormat -> Builder Source #

showbList :: [FPFormat] -> Builder Source #

showtPrec :: Int -> FPFormat -> Text Source #

showt :: FPFormat -> Text Source #

showtList :: [FPFormat] -> Text Source #

showtlPrec :: Int -> FPFormat -> Text Source #

showtl :: FPFormat -> Text Source #

showtlList :: [FPFormat] -> Text Source #

TextShow ConType Source # |

Instance details

Defined in TextShow.Generic

Methods

showbPrec :: Int -> ConType -> Builder Source #

showb :: ConType -> Builder Source #

showbList :: [ConType] -> Builder Source #

showtPrec :: Int -> ConType -> Text Source #

showt :: ConType -> Text Source #

showtList :: [ConType] -> Text Source #

showtlPrec :: Int -> ConType -> Text Source #

showtl :: ConType -> Text Source #

showtlList :: [ConType] -> Text Source #

TextShow GenTextMethods Source # |

Instance details

Defined in TextShow.TH

Methods

showbPrec :: Int -> GenTextMethods -> Builder Source #

showb :: GenTextMethods -> Builder Source #

showbList :: [GenTextMethods] -> Builder Source #

showtPrec :: Int -> GenTextMethods -> Text Source #

showt :: GenTextMethods -> Text Source #

showtList :: [GenTextMethods] -> Text Source #

showtlPrec :: Int -> GenTextMethods -> Text Source #

showtl :: GenTextMethods -> Text Source #

showtlList :: [GenTextMethods] -> Text Source #

TextShow Options Source # |

Instance details

Defined in TextShow.TH

Methods

showbPrec :: Int -> Options -> Builder Source #

showb :: Options -> Builder Source #

showbList :: [Options] -> Builder Source #

showtPrec :: Int -> Options -> Text Source #

showt :: Options -> Text Source #

showtList :: [Options] -> Text Source #

showtlPrec :: Int -> Options -> Text Source #

showtl :: Options -> Text Source #

showtlList :: [Options] -> Text Source #

TextShow Integer Source # | Since: 2

Instance details

Defined in TextShow.Data.Integral

Methods

showbPrec :: Int -> Integer -> Builder Source #

showb :: Integer -> Builder Source #

showbList :: [Integer] -> Builder Source #

showtPrec :: Int -> Integer -> Text Source #

showt :: Integer -> Text Source #

showtList :: [Integer] -> Text Source #

showtlPrec :: Int -> Integer -> Text Source #

showtl :: Integer -> Text Source #

showtlList :: [Integer] -> Text Source #

TextShow Natural Source # | Since: 2

Instance details

Defined in TextShow.Numeric.Natural

Methods

showbPrec :: Int -> Natural -> Builder Source #

showb :: Natural -> Builder Source #

showbList :: [Natural] -> Builder Source #

showtPrec :: Int -> Natural -> Text Source #

showt :: Natural -> Text Source #

showtList :: [Natural] -> Text Source #

showtlPrec :: Int -> Natural -> Text Source #

showtl :: Natural -> Text Source #

showtlList :: [Natural] -> Text Source #

TextShow () Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods showbPrec :: Int -> () -> Builder Source # showb :: () -> Builder Source # showbList :: [()] -> Builder Source # showtPrec :: Int -> () -> Text Source # showt :: () -> Text Source # showtList :: [()] -> Text Source # showtlPrec :: Int -> () -> Text Source # showtl :: () -> Text Source # showtlList :: [()] -> Text Source #
TextShow Bool Source # | Since: 2
Instance details Defined in TextShow.Data.Bool Methods showbPrec :: Int -> Bool -> Builder Source # showb :: Bool -> Builder Source # showbList :: [Bool] -> Builder Source # showtPrec :: Int -> Bool -> Text Source # showt :: Bool -> Text Source # showtList :: [Bool] -> Text Source # showtlPrec :: Int -> Bool -> Text Source # showtl :: Bool -> Text Source # showtlList :: [Bool] -> Text Source #
TextShow Char Source # | Since: 2
Instance details Defined in TextShow.Data.Char Methods showbPrec :: Int -> Char -> Builder Source # showb :: Char -> Builder Source # showbList :: [Char] -> Builder Source # showtPrec :: Int -> Char -> Text Source # showt :: Char -> Text Source # showtList :: [Char] -> Text Source # showtlPrec :: Int -> Char -> Text Source # showtl :: Char -> Text Source # showtlList :: [Char] -> Text Source #
TextShow Double Source # | Since: 2

Instance details

Defined in TextShow.Data.Floating

Methods

showbPrec :: Int -> Double -> Builder Source #

showb :: Double -> Builder Source #

showbList :: [Double] -> Builder Source #

showtPrec :: Int -> Double -> Text Source #

showt :: Double -> Text Source #

showtList :: [Double] -> Text Source #

showtlPrec :: Int -> Double -> Text Source #

showtl :: Double -> Text Source #

showtlList :: [Double] -> Text Source #

TextShow Float Source # | Since: 2

Instance details

Defined in TextShow.Data.Floating

Methods

showbPrec :: Int -> Float -> Builder Source #

showb :: Float -> Builder Source #

showbList :: [Float] -> Builder Source #

showtPrec :: Int -> Float -> Text Source #

showt :: Float -> Text Source #

showtList :: [Float] -> Text Source #

showtlPrec :: Int -> Float -> Text Source #

showtl :: Float -> Text Source #

showtlList :: [Float] -> Text Source #

TextShow Int Source # | Since: 2
Instance details Defined in TextShow.Data.Integral Methods showbPrec :: Int -> Int -> Builder Source # showb :: Int -> Builder Source # showbList :: [Int] -> Builder Source # showtPrec :: Int -> Int -> Text Source # showt :: Int -> Text Source # showtList :: [Int] -> Text Source # showtlPrec :: Int -> Int -> Text Source # showtl :: Int -> Text Source # showtlList :: [Int] -> Text Source #
TextShow Word Source # | Since: 2
Instance details Defined in TextShow.Data.Integral Methods showbPrec :: Int -> Word -> Builder Source # showb :: Word -> Builder Source # showbList :: [Word] -> Builder Source # showtPrec :: Int -> Word -> Text Source # showt :: Word -> Text Source # showtList :: [Word] -> Text Source # showtlPrec :: Int -> Word -> Text Source # showtl :: Word -> Text Source # showtlList :: [Word] -> Text Source #
TextShow a => TextShow (ZipList a) Source # | Since: 2

Instance details

Defined in TextShow.Control.Applicative

Methods

showbPrec :: Int -> ZipList a -> Builder Source #

showb :: ZipList a -> Builder Source #

showbList :: [ZipList a] -> Builder Source #

showtPrec :: Int -> ZipList a -> Text Source #

showt :: ZipList a -> Text Source #

showtList :: [ZipList a] -> Text Source #

showtlPrec :: Int -> ZipList a -> Text Source #

showtl :: ZipList a -> Text Source #

showtlList :: [ZipList a] -> Text Source #

TextShow a => TextShow (Complex a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Complex

Methods

showbPrec :: Int -> Complex a -> Builder Source #

showb :: Complex a -> Builder Source #

showbList :: [Complex a] -> Builder Source #

showtPrec :: Int -> Complex a -> Text Source #

showt :: Complex a -> Text Source #

showtList :: [Complex a] -> Text Source #

showtlPrec :: Int -> Complex a -> Text Source #

showtl :: Complex a -> Text Source #

showtlList :: [Complex a] -> Text Source #

TextShow a => TextShow (Identity a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Functor.Identity

Methods

showbPrec :: Int -> Identity a -> Builder Source #

showb :: Identity a -> Builder Source #

showbList :: [Identity a] -> Builder Source #

showtPrec :: Int -> Identity a -> Text Source #

showt :: Identity a -> Text Source #

showtList :: [Identity a] -> Text Source #

showtlPrec :: Int -> Identity a -> Text Source #

showtl :: Identity a -> Text Source #

showtlList :: [Identity a] -> Text Source #

TextShow a => TextShow (First a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> First a -> Builder Source #

showb :: First a -> Builder Source #

showbList :: [First a] -> Builder Source #

showtPrec :: Int -> First a -> Text Source #

showt :: First a -> Text Source #

showtList :: [First a] -> Text Source #

showtlPrec :: Int -> First a -> Text Source #

showtl :: First a -> Text Source #

showtlList :: [First a] -> Text Source #

TextShow a => TextShow (Last a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> Last a -> Builder Source #

showb :: Last a -> Builder Source #

showbList :: [Last a] -> Builder Source #

showtPrec :: Int -> Last a -> Text Source #

showt :: Last a -> Text Source #

showtList :: [Last a] -> Text Source #

showtlPrec :: Int -> Last a -> Text Source #

showtl :: Last a -> Text Source #

showtlList :: [Last a] -> Text Source #

TextShow a => TextShow (Down a) Source # | This instance would be equivalent to a derived `TextShow` instance if the `getDown` field were removed. Since: 2

Instance details

Defined in TextShow.Data.Ord

Methods

showbPrec :: Int -> Down a -> Builder Source #

showb :: Down a -> Builder Source #

showbList :: [Down a] -> Builder Source #

showtPrec :: Int -> Down a -> Text Source #

showt :: Down a -> Text Source #

showtList :: [Down a] -> Text Source #

showtlPrec :: Int -> Down a -> Text Source #

showtl :: Down a -> Text Source #

showtlList :: [Down a] -> Text Source #

TextShow a => TextShow (First a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Semigroup

Methods

showbPrec :: Int -> First a -> Builder Source #

showb :: First a -> Builder Source #

showbList :: [First a] -> Builder Source #

showtPrec :: Int -> First a -> Text Source #

showt :: First a -> Text Source #

showtList :: [First a] -> Text Source #

showtlPrec :: Int -> First a -> Text Source #

showtl :: First a -> Text Source #

showtlList :: [First a] -> Text Source #

TextShow a => TextShow (Last a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Semigroup

Methods

showbPrec :: Int -> Last a -> Builder Source #

showb :: Last a -> Builder Source #

showbList :: [Last a] -> Builder Source #

showtPrec :: Int -> Last a -> Text Source #

showt :: Last a -> Text Source #

showtList :: [Last a] -> Text Source #

showtlPrec :: Int -> Last a -> Text Source #

showtl :: Last a -> Text Source #

showtlList :: [Last a] -> Text Source #

TextShow a => TextShow (Max a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Semigroup

Methods

showbPrec :: Int -> Max a -> Builder Source #

showb :: Max a -> Builder Source #

showbList :: [Max a] -> Builder Source #

showtPrec :: Int -> Max a -> Text Source #

showt :: Max a -> Text Source #

showtList :: [Max a] -> Text Source #

showtlPrec :: Int -> Max a -> Text Source #

showtl :: Max a -> Text Source #

showtlList :: [Max a] -> Text Source #

TextShow a => TextShow (Min a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Semigroup

Methods

showbPrec :: Int -> Min a -> Builder Source #

showb :: Min a -> Builder Source #

showbList :: [Min a] -> Builder Source #

showtPrec :: Int -> Min a -> Text Source #

showt :: Min a -> Text Source #

showtList :: [Min a] -> Text Source #

showtlPrec :: Int -> Min a -> Text Source #

showtl :: Min a -> Text Source #

showtlList :: [Min a] -> Text Source #

TextShow m => TextShow (WrappedMonoid m) Source # | Since: 3

Instance details

Defined in TextShow.Data.Semigroup

Methods

showbPrec :: Int -> WrappedMonoid m -> Builder Source #

showb :: WrappedMonoid m -> Builder Source #

showbList :: [WrappedMonoid m] -> Builder Source #

showtPrec :: Int -> WrappedMonoid m -> Text Source #

showt :: WrappedMonoid m -> Text Source #

showtList :: [WrappedMonoid m] -> Text Source #

showtlPrec :: Int -> WrappedMonoid m -> Text Source #

showtl :: WrappedMonoid m -> Text Source #

showtlList :: [WrappedMonoid m] -> Text Source #

TextShow a => TextShow (Dual a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> Dual a -> Builder Source #

showb :: Dual a -> Builder Source #

showbList :: [Dual a] -> Builder Source #

showtPrec :: Int -> Dual a -> Text Source #

showt :: Dual a -> Text Source #

showtList :: [Dual a] -> Text Source #

showtlPrec :: Int -> Dual a -> Text Source #

showtl :: Dual a -> Text Source #

showtlList :: [Dual a] -> Text Source #

TextShow a => TextShow (Product a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> Product a -> Builder Source #

showb :: Product a -> Builder Source #

showbList :: [Product a] -> Builder Source #

showtPrec :: Int -> Product a -> Text Source #

showt :: Product a -> Text Source #

showtList :: [Product a] -> Text Source #

showtlPrec :: Int -> Product a -> Text Source #

showtl :: Product a -> Text Source #

showtlList :: [Product a] -> Text Source #

TextShow a => TextShow (Sum a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> Sum a -> Builder Source #

showb :: Sum a -> Builder Source #

showbList :: [Sum a] -> Builder Source #

showtPrec :: Int -> Sum a -> Text Source #

showt :: Sum a -> Text Source #

showtList :: [Sum a] -> Text Source #

showtlPrec :: Int -> Sum a -> Text Source #

showtl :: Sum a -> Text Source #

showtlList :: [Sum a] -> Text Source #

TextShow a => TextShow (NonEmpty a) Source # | Since: 3

Instance details

Defined in TextShow.Data.List.NonEmpty

Methods

showbPrec :: Int -> NonEmpty a -> Builder Source #

showb :: NonEmpty a -> Builder Source #

showbList :: [NonEmpty a] -> Builder Source #

showtPrec :: Int -> NonEmpty a -> Text Source #

showt :: NonEmpty a -> Text Source #

showtList :: [NonEmpty a] -> Text Source #

showtlPrec :: Int -> NonEmpty a -> Text Source #

showtl :: NonEmpty a -> Text Source #

showtlList :: [NonEmpty a] -> Text Source #

TextShow (ForeignPtr a) Source # | Since: 2

Instance details

Defined in TextShow.Foreign.Ptr

Methods

showbPrec :: Int -> ForeignPtr a -> Builder Source #

showb :: ForeignPtr a -> Builder Source #

showbList :: [ForeignPtr a] -> Builder Source #

showtPrec :: Int -> ForeignPtr a -> Text Source #

showt :: ForeignPtr a -> Text Source #

showtList :: [ForeignPtr a] -> Text Source #

showtlPrec :: Int -> ForeignPtr a -> Text Source #

showtl :: ForeignPtr a -> Text Source #

showtlList :: [ForeignPtr a] -> Text Source #

TextShow p => TextShow (Par1 p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> Par1 p -> Builder Source #

showb :: Par1 p -> Builder Source #

showbList :: [Par1 p] -> Builder Source #

showtPrec :: Int -> Par1 p -> Text Source #

showt :: Par1 p -> Text Source #

showtList :: [Par1 p] -> Text Source #

showtlPrec :: Int -> Par1 p -> Text Source #

showtl :: Par1 p -> Text Source #

showtlList :: [Par1 p] -> Text Source #

TextShow (FunPtr a) Source # | Since: 2

Instance details

Defined in TextShow.Foreign.Ptr

Methods

showbPrec :: Int -> FunPtr a -> Builder Source #

showb :: FunPtr a -> Builder Source #

showbList :: [FunPtr a] -> Builder Source #

showtPrec :: Int -> FunPtr a -> Text Source #

showt :: FunPtr a -> Text Source #

showtList :: [FunPtr a] -> Text Source #

showtlPrec :: Int -> FunPtr a -> Text Source #

showtl :: FunPtr a -> Text Source #

showtlList :: [FunPtr a] -> Text Source #

TextShow (Ptr a) Source # | Since: 2

Instance details

Defined in TextShow.Foreign.Ptr

Methods

showbPrec :: Int -> Ptr a -> Builder Source #

showb :: Ptr a -> Builder Source #

showbList :: [Ptr a] -> Builder Source #

showtPrec :: Int -> Ptr a -> Text Source #

showt :: Ptr a -> Text Source #

showtList :: [Ptr a] -> Text Source #

showtlPrec :: Int -> Ptr a -> Text Source #

showtl :: Ptr a -> Text Source #

showtlList :: [Ptr a] -> Text Source #

TextShow a => TextShow (Ratio a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Ratio

Methods

showbPrec :: Int -> Ratio a -> Builder Source #

showb :: Ratio a -> Builder Source #

showbList :: [Ratio a] -> Builder Source #

showtPrec :: Int -> Ratio a -> Text Source #

showt :: Ratio a -> Text Source #

showtList :: [Ratio a] -> Text Source #

showtlPrec :: Int -> Ratio a -> Text Source #

showtl :: Ratio a -> Text Source #

showtlList :: [Ratio a] -> Text Source #

TextShow (SChar c) Source # | Since: 3.10.1

Instance details

Defined in TextShow.GHC.TypeLits

Methods

showbPrec :: Int -> SChar c -> Builder Source #

showb :: SChar c -> Builder Source #

showbList :: [SChar c] -> Builder Source #

showtPrec :: Int -> SChar c -> Text Source #

showt :: SChar c -> Text Source #

showtList :: [SChar c] -> Text Source #

showtlPrec :: Int -> SChar c -> Text Source #

showtl :: SChar c -> Text Source #

showtlList :: [SChar c] -> Text Source #

TextShow (SSymbol s) Source # | Since: 3.10.1

Instance details

Defined in TextShow.GHC.TypeLits

Methods

showbPrec :: Int -> SSymbol s -> Builder Source #

showb :: SSymbol s -> Builder Source #

showbList :: [SSymbol s] -> Builder Source #

showtPrec :: Int -> SSymbol s -> Text Source #

showt :: SSymbol s -> Text Source #

showtList :: [SSymbol s] -> Text Source #

showtlPrec :: Int -> SSymbol s -> Text Source #

showtl :: SSymbol s -> Text Source #

showtlList :: [SSymbol s] -> Text Source #

TextShow (SNat n) Source # | Since: 3.10.1

Instance details

Defined in TextShow.GHC.TypeLits

Methods

showbPrec :: Int -> SNat n -> Builder Source #

showb :: SNat n -> Builder Source #

showbList :: [SNat n] -> Builder Source #

showtPrec :: Int -> SNat n -> Text Source #

showt :: SNat n -> Text Source #

showtList :: [SNat n] -> Text Source #

showtlPrec :: Int -> SNat n -> Text Source #

showtl :: SNat n -> Text Source #

showtlList :: [SNat n] -> Text Source #

Show a => TextShow (FromStringShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromStringShow a -> Builder Source #

showb :: FromStringShow a -> Builder Source #

showbList :: [FromStringShow a] -> Builder Source #

showtPrec :: Int -> FromStringShow a -> Text Source #

showt :: FromStringShow a -> Text Source #

showtList :: [FromStringShow a] -> Text Source #

showtlPrec :: Int -> FromStringShow a -> Text Source #

showtl :: FromStringShow a -> Text Source #

showtlList :: [FromStringShow a] -> Text Source #

TextShow a => TextShow (FromTextShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromTextShow a -> Builder Source #

showb :: FromTextShow a -> Builder Source #

showbList :: [FromTextShow a] -> Builder Source #

showtPrec :: Int -> FromTextShow a -> Text Source #

showt :: FromTextShow a -> Text Source #

showtList :: [FromTextShow a] -> Text Source #

showtlPrec :: Int -> FromTextShow a -> Text Source #

showtl :: FromTextShow a -> Text Source #

showtlList :: [FromTextShow a] -> Text Source #

(Generic a, GTextShowB (Rep a ())) => TextShow (FromGeneric a) Source # | Since: 3.7.4

Instance details

Defined in TextShow.Generic

Methods

showbPrec :: Int -> FromGeneric a -> Builder Source #

showb :: FromGeneric a -> Builder Source #

showbList :: [FromGeneric a] -> Builder Source #

showtPrec :: Int -> FromGeneric a -> Text Source #

showt :: FromGeneric a -> Text Source #

showtList :: [FromGeneric a] -> Text Source #

showtlPrec :: Int -> FromGeneric a -> Text Source #

showtl :: FromGeneric a -> Text Source #

showtlList :: [FromGeneric a] -> Text Source #

TextShow a => TextShow (Maybe a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Maybe

Methods

showbPrec :: Int -> Maybe a -> Builder Source #

showb :: Maybe a -> Builder Source #

showbList :: [Maybe a] -> Builder Source #

showtPrec :: Int -> Maybe a -> Text Source #

showt :: Maybe a -> Text Source #

showtList :: [Maybe a] -> Text Source #

showtlPrec :: Int -> Maybe a -> Text Source #

showtl :: Maybe a -> Text Source #

showtlList :: [Maybe a] -> Text Source #

TextShow a => TextShow (a) Source # | Since: 3.9.3
Instance details Defined in TextShow.Data.Tuple Methods showbPrec :: Int -> (a) -> Builder Source # showb :: (a) -> Builder Source # showbList :: [(a)] -> Builder Source # showtPrec :: Int -> (a) -> Text Source # showt :: (a) -> Text Source # showtList :: [(a)] -> Text Source # showtlPrec :: Int -> (a) -> Text Source # showtl :: (a) -> Text Source # showtlList :: [(a)] -> Text Source #
TextShow a => TextShow [a] Source # | Since: 2
Instance details Defined in TextShow.Data.List Methods showbPrec :: Int -> [a] -> Builder Source # showb :: [a] -> Builder Source # showbList :: [[a]] -> Builder Source # showtPrec :: Int -> [a] -> Text Source # showt :: [a] -> Text Source # showtList :: [[a]] -> Text Source # showtlPrec :: Int -> [a] -> Text Source # showtl :: [a] -> Text Source # showtlList :: [[a]] -> Text Source #
(IArray UArray e, Ix i, TextShow i, TextShow e) => TextShow (UArray i e) Source # | Since: 2

Instance details

Defined in TextShow.Data.Array

Methods

showbPrec :: Int -> UArray i e -> Builder Source #

showb :: UArray i e -> Builder Source #

showbList :: [UArray i e] -> Builder Source #

showtPrec :: Int -> UArray i e -> Text Source #

showt :: UArray i e -> Text Source #

showtList :: [UArray i e] -> Text Source #

showtlPrec :: Int -> UArray i e -> Text Source #

showtl :: UArray i e -> Text Source #

showtlList :: [UArray i e] -> Text Source #

(TextShow a, TextShow b) => TextShow (Either a b) Source # | Since: 2

Instance details

Defined in TextShow.Data.Either

Methods

showbPrec :: Int -> Either a b -> Builder Source #

showb :: Either a b -> Builder Source #

showbList :: [Either a b] -> Builder Source #

showtPrec :: Int -> Either a b -> Text Source #

showt :: Either a b -> Text Source #

showtList :: [Either a b] -> Text Source #

showtlPrec :: Int -> Either a b -> Text Source #

showtl :: Either a b -> Text Source #

showtlList :: [Either a b] -> Text Source #

HasResolution a => TextShow (Fixed a) Source # | Since: 2

Instance details

Defined in TextShow.Data.Fixed

Methods

showbPrec :: Int -> Fixed a -> Builder Source #

showb :: Fixed a -> Builder Source #

showbList :: [Fixed a] -> Builder Source #

showtPrec :: Int -> Fixed a -> Text Source #

showt :: Fixed a -> Text Source #

showtList :: [Fixed a] -> Text Source #

showtlPrec :: Int -> Fixed a -> Text Source #

showtl :: Fixed a -> Text Source #

showtlList :: [Fixed a] -> Text Source #

TextShow (Proxy s) Source # | Since: 2

Instance details

Defined in TextShow.Data.Proxy

Methods

showbPrec :: Int -> Proxy s -> Builder Source #

showb :: Proxy s -> Builder Source #

showbList :: [Proxy s] -> Builder Source #

showtPrec :: Int -> Proxy s -> Text Source #

showt :: Proxy s -> Text Source #

showtList :: [Proxy s] -> Text Source #

showtlPrec :: Int -> Proxy s -> Text Source #

showtl :: Proxy s -> Text Source #

showtlList :: [Proxy s] -> Text Source #

(TextShow a, TextShow b) => TextShow (Arg a b) Source # | Since: 3

Instance details

Defined in TextShow.Data.Semigroup

Methods

showbPrec :: Int -> Arg a b -> Builder Source #

showb :: Arg a b -> Builder Source #

showbList :: [Arg a b] -> Builder Source #

showtPrec :: Int -> Arg a b -> Text Source #

showt :: Arg a b -> Text Source #

showtList :: [Arg a b] -> Text Source #

showtlPrec :: Int -> Arg a b -> Text Source #

showtl :: Arg a b -> Text Source #

showtlList :: [Arg a b] -> Text Source #

TextShow (TypeRep a) Source # | Only available with `base-4.10.0.0` or later. Since: 3.6

Instance details

Defined in TextShow.Data.Typeable

Methods

showbPrec :: Int -> TypeRep a -> Builder Source #

showb :: TypeRep a -> Builder Source #

showbList :: [TypeRep a] -> Builder Source #

showtPrec :: Int -> TypeRep a -> Text Source #

showt :: TypeRep a -> Text Source #

showtList :: [TypeRep a] -> Text Source #

showtlPrec :: Int -> TypeRep a -> Text Source #

showtl :: TypeRep a -> Text Source #

showtlList :: [TypeRep a] -> Text Source #

(TextShow i, TextShow e, Ix i) => TextShow (Array i e) Source # | Since: 2

Instance details

Defined in TextShow.Data.Array

Methods

showbPrec :: Int -> Array i e -> Builder Source #

showb :: Array i e -> Builder Source #

showbList :: [Array i e] -> Builder Source #

showtPrec :: Int -> Array i e -> Text Source #

showt :: Array i e -> Text Source #

showtList :: [Array i e] -> Text Source #

showtlPrec :: Int -> Array i e -> Text Source #

showtl :: Array i e -> Text Source #

showtlList :: [Array i e] -> Text Source #

TextShow (U1 p) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods showbPrec :: Int -> U1 p -> Builder Source # showb :: U1 p -> Builder Source # showbList :: [U1 p] -> Builder Source # showtPrec :: Int -> U1 p -> Text Source # showt :: U1 p -> Text Source # showtList :: [U1 p] -> Text Source # showtlPrec :: Int -> U1 p -> Text Source # showtl :: U1 p -> Text Source # showtlList :: [U1 p] -> Text Source #
TextShow (UChar p) Source # | Since: 2.1.2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> UChar p -> Builder Source #

showb :: UChar p -> Builder Source #

showbList :: [UChar p] -> Builder Source #

showtPrec :: Int -> UChar p -> Text Source #

showt :: UChar p -> Text Source #

showtList :: [UChar p] -> Text Source #

showtlPrec :: Int -> UChar p -> Text Source #

showtl :: UChar p -> Text Source #

showtlList :: [UChar p] -> Text Source #

TextShow (UDouble p) Source # | Since: 2.1.2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> UDouble p -> Builder Source #

showb :: UDouble p -> Builder Source #

showbList :: [UDouble p] -> Builder Source #

showtPrec :: Int -> UDouble p -> Text Source #

showt :: UDouble p -> Text Source #

showtList :: [UDouble p] -> Text Source #

showtlPrec :: Int -> UDouble p -> Text Source #

showtl :: UDouble p -> Text Source #

showtlList :: [UDouble p] -> Text Source #

TextShow (UFloat p) Source # | Since: 2.1.2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> UFloat p -> Builder Source #

showb :: UFloat p -> Builder Source #

showbList :: [UFloat p] -> Builder Source #

showtPrec :: Int -> UFloat p -> Text Source #

showt :: UFloat p -> Text Source #

showtList :: [UFloat p] -> Text Source #

showtlPrec :: Int -> UFloat p -> Text Source #

showtl :: UFloat p -> Text Source #

showtlList :: [UFloat p] -> Text Source #

TextShow (UInt p) Source # | Since: 2.1.2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> UInt p -> Builder Source #

showb :: UInt p -> Builder Source #

showbList :: [UInt p] -> Builder Source #

showtPrec :: Int -> UInt p -> Text Source #

showt :: UInt p -> Text Source #

showtList :: [UInt p] -> Text Source #

showtlPrec :: Int -> UInt p -> Text Source #

showtl :: UInt p -> Text Source #

showtlList :: [UInt p] -> Text Source #

TextShow (UWord p) Source # | Since: 2.1.2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> UWord p -> Builder Source #

showb :: UWord p -> Builder Source #

showbList :: [UWord p] -> Builder Source #

showtPrec :: Int -> UWord p -> Text Source #

showt :: UWord p -> Text Source #

showtList :: [UWord p] -> Text Source #

showtlPrec :: Int -> UWord p -> Text Source #

showtl :: UWord p -> Text Source #

showtlList :: [UWord p] -> Text Source #

TextShow (ST s a) Source # | Since: 2

Instance details

Defined in TextShow.Control.Monad.ST

Methods

showbPrec :: Int -> ST s a -> Builder Source #

showb :: ST s a -> Builder Source #

showbList :: [ST s a] -> Builder Source #

showtPrec :: Int -> ST s a -> Text Source #

showt :: ST s a -> Text Source #

showtList :: [ST s a] -> Text Source #

showtlPrec :: Int -> ST s a -> Text Source #

showtl :: ST s a -> Text Source #

showtlList :: [ST s a] -> Text Source #

(TextShow a, TextShow b) => TextShow (a, b) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b) -> Builder Source #

showb :: (a, b) -> Builder Source #

showbList :: [(a, b)] -> Builder Source #

showtPrec :: Int -> (a, b) -> Text Source #

showt :: (a, b) -> Text Source #

showtList :: [(a, b)] -> Text Source #

showtlPrec :: Int -> (a, b) -> Text Source #

showtl :: (a, b) -> Text Source #

showtlList :: [(a, b)] -> Text Source #

TextShow (a -> b) Source # | Since: 2

Instance details

Defined in TextShow.Functions

Methods

showbPrec :: Int -> (a -> b) -> Builder Source #

showb :: (a -> b) -> Builder Source #

showbList :: [a -> b] -> Builder Source #

showtPrec :: Int -> (a -> b) -> Text Source #

showt :: (a -> b) -> Text Source #

showtList :: [a -> b] -> Text Source #

showtlPrec :: Int -> (a -> b) -> Text Source #

showtl :: (a -> b) -> Text Source #

showtlList :: [a -> b] -> Text Source #

TextShow a => TextShow (Const a b) Source # | Since: 2

Instance details

Defined in TextShow.Control.Applicative

Methods

showbPrec :: Int -> Const a b -> Builder Source #

showb :: Const a b -> Builder Source #

showbList :: [Const a b] -> Builder Source #

showtPrec :: Int -> Const a b -> Text Source #

showt :: Const a b -> Text Source #

showtList :: [Const a b] -> Text Source #

showtlPrec :: Int -> Const a b -> Text Source #

showtl :: Const a b -> Text Source #

showtlList :: [Const a b] -> Text Source #

TextShow (f a) => TextShow (Ap f a) Source # | Only available with `base-4.12.0.0` or later. Since: 3.7.4

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> Ap f a -> Builder Source #

showb :: Ap f a -> Builder Source #

showbList :: [Ap f a] -> Builder Source #

showtPrec :: Int -> Ap f a -> Text Source #

showt :: Ap f a -> Text Source #

showtList :: [Ap f a] -> Text Source #

showtlPrec :: Int -> Ap f a -> Text Source #

showtl :: Ap f a -> Text Source #

showtlList :: [Ap f a] -> Text Source #

TextShow (f a) => TextShow (Alt f a) Source # | Only available with `base-4.8.0.0` or later. Since: 2

Instance details

Defined in TextShow.Data.Monoid

Methods

showbPrec :: Int -> Alt f a -> Builder Source #

showb :: Alt f a -> Builder Source #

showbList :: [Alt f a] -> Builder Source #

showtPrec :: Int -> Alt f a -> Text Source #

showt :: Alt f a -> Text Source #

showtList :: [Alt f a] -> Text Source #

showtlPrec :: Int -> Alt f a -> Text Source #

showtl :: Alt f a -> Text Source #

showtlList :: [Alt f a] -> Text Source #

TextShow (Coercion a b) Source # | Since: 2

Instance details

Defined in TextShow.Data.Type.Coercion

Methods

showbPrec :: Int -> Coercion a b -> Builder Source #

showb :: Coercion a b -> Builder Source #

showbList :: [Coercion a b] -> Builder Source #

showtPrec :: Int -> Coercion a b -> Text Source #

showt :: Coercion a b -> Text Source #

showtList :: [Coercion a b] -> Text Source #

showtlPrec :: Int -> Coercion a b -> Text Source #

showtl :: Coercion a b -> Text Source #

showtlList :: [Coercion a b] -> Text Source #

TextShow (a :~: b) Source # | Since: 2

Instance details

Defined in TextShow.Data.Type.Equality

Methods

showbPrec :: Int -> (a :~: b) -> Builder Source #

showb :: (a :~: b) -> Builder Source #

showbList :: [a :~: b] -> Builder Source #

showtPrec :: Int -> (a :~: b) -> Text Source #

showt :: (a :~: b) -> Text Source #

showtList :: [a :~: b] -> Text Source #

showtlPrec :: Int -> (a :~: b) -> Text Source #

showtl :: (a :~: b) -> Text Source #

showtlList :: [a :~: b] -> Text Source #

TextShow (f p) => TextShow (Rec1 f p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> Rec1 f p -> Builder Source #

showb :: Rec1 f p -> Builder Source #

showbList :: [Rec1 f p] -> Builder Source #

showtPrec :: Int -> Rec1 f p -> Text Source #

showt :: Rec1 f p -> Text Source #

showtList :: [Rec1 f p] -> Text Source #

showtlPrec :: Int -> Rec1 f p -> Text Source #

showtl :: Rec1 f p -> Text Source #

showtlList :: [Rec1 f p] -> Text Source #

(Show1 f, TextShow a) => TextShow (FromStringShow1 f a) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `Show1` constraint with a `TextShow` constraint. This is done for consistency with the `Show` instance for `FromTextShow1`, which mixes constraints in a similar way to satisfy superclass constraints. See the Haddocks on the `Show` instance for `FromTextShow1` for more details.

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromStringShow1 f a -> Builder Source #

showb :: FromStringShow1 f a -> Builder Source #

showbList :: [FromStringShow1 f a] -> Builder Source #

showtPrec :: Int -> FromStringShow1 f a -> Text Source #

showt :: FromStringShow1 f a -> Text Source #

showtList :: [FromStringShow1 f a] -> Text Source #

showtlPrec :: Int -> FromStringShow1 f a -> Text Source #

showtl :: FromStringShow1 f a -> Text Source #

showtlList :: [FromStringShow1 f a] -> Text Source #

(TextShow1 f, TextShow a) => TextShow (FromTextShow1 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromTextShow1 f a -> Builder Source #

showb :: FromTextShow1 f a -> Builder Source #

showbList :: [FromTextShow1 f a] -> Builder Source #

showtPrec :: Int -> FromTextShow1 f a -> Text Source #

showt :: FromTextShow1 f a -> Text Source #

showtList :: [FromTextShow1 f a] -> Text Source #

showtlPrec :: Int -> FromTextShow1 f a -> Text Source #

showtl :: FromTextShow1 f a -> Text Source #

showtlList :: [FromTextShow1 f a] -> Text Source #

(Generic1 f, GTextShowB (Rep1 f a)) => TextShow (FromGeneric1 f a) Source # | Since: 3.10

Instance details

Defined in TextShow.Generic

Methods

showbPrec :: Int -> FromGeneric1 f a -> Builder Source #

showb :: FromGeneric1 f a -> Builder Source #

showbList :: [FromGeneric1 f a] -> Builder Source #

showtPrec :: Int -> FromGeneric1 f a -> Text Source #

showt :: FromGeneric1 f a -> Text Source #

showtList :: [FromGeneric1 f a] -> Text Source #

showtlPrec :: Int -> FromGeneric1 f a -> Text Source #

showtl :: FromGeneric1 f a -> Text Source #

showtlList :: [FromGeneric1 f a] -> Text Source #

(TextShow a, TextShow b, TextShow c) => TextShow (a, b, c) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c) -> Builder Source #

showb :: (a, b, c) -> Builder Source #

showbList :: [(a, b, c)] -> Builder Source #

showtPrec :: Int -> (a, b, c) -> Text Source #

showt :: (a, b, c) -> Text Source #

showtList :: [(a, b, c)] -> Text Source #

showtlPrec :: Int -> (a, b, c) -> Text Source #

showtl :: (a, b, c) -> Text Source #

showtlList :: [(a, b, c)] -> Text Source #

(TextShow1 f, TextShow1 g, TextShow a) => TextShow (Product f g a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Functor.Product

Methods

showbPrec :: Int -> Product f g a -> Builder Source #

showb :: Product f g a -> Builder Source #

showbList :: [Product f g a] -> Builder Source #

showtPrec :: Int -> Product f g a -> Text Source #

showt :: Product f g a -> Text Source #

showtList :: [Product f g a] -> Text Source #

showtlPrec :: Int -> Product f g a -> Text Source #

showtl :: Product f g a -> Text Source #

showtlList :: [Product f g a] -> Text Source #

(TextShow1 f, TextShow1 g, TextShow a) => TextShow (Sum f g a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Functor.Sum

Methods

showbPrec :: Int -> Sum f g a -> Builder Source #

showb :: Sum f g a -> Builder Source #

showbList :: [Sum f g a] -> Builder Source #

showtPrec :: Int -> Sum f g a -> Text Source #

showt :: Sum f g a -> Text Source #

showtList :: [Sum f g a] -> Text Source #

showtlPrec :: Int -> Sum f g a -> Text Source #

showtl :: Sum f g a -> Text Source #

showtlList :: [Sum f g a] -> Text Source #

TextShow (a :~~: b) Source # | Since: 3.6

Instance details

Defined in TextShow.Data.Type.Equality

Methods

showbPrec :: Int -> (a :~~: b) -> Builder Source #

showb :: (a :~~: b) -> Builder Source #

showbList :: [a :~~: b] -> Builder Source #

showtPrec :: Int -> (a :~~: b) -> Text Source #

showt :: (a :~~: b) -> Text Source #

showtList :: [a :~~: b] -> Text Source #

showtlPrec :: Int -> (a :~~: b) -> Text Source #

showtl :: (a :~~: b) -> Text Source #

showtlList :: [a :~~: b] -> Text Source #

(TextShow (f p), TextShow (g p)) => TextShow ((f :*: g) p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> (f :*: g) p -> Builder Source #

showb :: (f :*: g) p -> Builder Source #

showbList :: [(f :*: g) p] -> Builder Source #

showtPrec :: Int -> (f :*: g) p -> Text Source #

showt :: (f :*: g) p -> Text Source #

showtList :: [(f :*: g) p] -> Text Source #

showtlPrec :: Int -> (f :*: g) p -> Text Source #

showtl :: (f :*: g) p -> Text Source #

showtlList :: [(f :*: g) p] -> Text Source #

(TextShow (f p), TextShow (g p)) => TextShow ((f :+: g) p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> (f :+: g) p -> Builder Source #

showb :: (f :+: g) p -> Builder Source #

showbList :: [(f :+: g) p] -> Builder Source #

showtPrec :: Int -> (f :+: g) p -> Text Source #

showt :: (f :+: g) p -> Text Source #

showtList :: [(f :+: g) p] -> Text Source #

showtlPrec :: Int -> (f :+: g) p -> Text Source #

showtl :: (f :+: g) p -> Text Source #

showtlList :: [(f :+: g) p] -> Text Source #

TextShow c => TextShow (K1 i c p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> K1 i c p -> Builder Source #

showb :: K1 i c p -> Builder Source #

showbList :: [K1 i c p] -> Builder Source #

showtPrec :: Int -> K1 i c p -> Text Source #

showt :: K1 i c p -> Text Source #

showtList :: [K1 i c p] -> Text Source #

showtlPrec :: Int -> K1 i c p -> Text Source #

showtl :: K1 i c p -> Text Source #

showtlList :: [K1 i c p] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d) => TextShow (a, b, c, d) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d) -> Builder Source #

showb :: (a, b, c, d) -> Builder Source #

showbList :: [(a, b, c, d)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d) -> Text Source #

showt :: (a, b, c, d) -> Text Source #

showtList :: [(a, b, c, d)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d) -> Text Source #

showtl :: (a, b, c, d) -> Text Source #

showtlList :: [(a, b, c, d)] -> Text Source #

(TextShow1 f, TextShow1 g, TextShow a) => TextShow (Compose f g a) Source # | Since: 3

Instance details

Defined in TextShow.Data.Functor.Compose

Methods

showbPrec :: Int -> Compose f g a -> Builder Source #

showb :: Compose f g a -> Builder Source #

showbList :: [Compose f g a] -> Builder Source #

showtPrec :: Int -> Compose f g a -> Text Source #

showt :: Compose f g a -> Text Source #

showtList :: [Compose f g a] -> Text Source #

showtlPrec :: Int -> Compose f g a -> Text Source #

showtl :: Compose f g a -> Text Source #

showtlList :: [Compose f g a] -> Text Source #

TextShow (f (g p)) => TextShow ((f :.: g) p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> (f :.: g) p -> Builder Source #

showb :: (f :.: g) p -> Builder Source #

showbList :: [(f :.: g) p] -> Builder Source #

showtPrec :: Int -> (f :.: g) p -> Text Source #

showt :: (f :.: g) p -> Text Source #

showtList :: [(f :.: g) p] -> Text Source #

showtlPrec :: Int -> (f :.: g) p -> Text Source #

showtl :: (f :.: g) p -> Text Source #

showtlList :: [(f :.: g) p] -> Text Source #

TextShow (f p) => TextShow (M1 i c f p) Source # | Since: 2

Instance details

Defined in TextShow.GHC.Generics

Methods

showbPrec :: Int -> M1 i c f p -> Builder Source #

showb :: M1 i c f p -> Builder Source #

showbList :: [M1 i c f p] -> Builder Source #

showtPrec :: Int -> M1 i c f p -> Text Source #

showt :: M1 i c f p -> Text Source #

showtList :: [M1 i c f p] -> Text Source #

showtlPrec :: Int -> M1 i c f p -> Text Source #

showtl :: M1 i c f p -> Text Source #

showtlList :: [M1 i c f p] -> Text Source #

(Show2 f, TextShow a, TextShow b) => TextShow (FromStringShow2 f a b) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `Show2` constraint with `TextShow` constraints. This is done for consistency with the `Show` instance for `FromTextShow2`, which mixes constraints in a similar way to satisfy superclass constraints. See the Haddocks on the `Show` instance for `FromTextShow2` for more details.

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromStringShow2 f a b -> Builder Source #

showb :: FromStringShow2 f a b -> Builder Source #

showbList :: [FromStringShow2 f a b] -> Builder Source #

showtPrec :: Int -> FromStringShow2 f a b -> Text Source #

showt :: FromStringShow2 f a b -> Text Source #

showtList :: [FromStringShow2 f a b] -> Text Source #

showtlPrec :: Int -> FromStringShow2 f a b -> Text Source #

showtl :: FromStringShow2 f a b -> Text Source #

showtlList :: [FromStringShow2 f a b] -> Text Source #

(TextShow2 f, TextShow a, TextShow b) => TextShow (FromTextShow2 f a b) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromTextShow2 f a b -> Builder Source #

showb :: FromTextShow2 f a b -> Builder Source #

showbList :: [FromTextShow2 f a b] -> Builder Source #

showtPrec :: Int -> FromTextShow2 f a b -> Text Source #

showt :: FromTextShow2 f a b -> Text Source #

showtList :: [FromTextShow2 f a b] -> Text Source #

showtlPrec :: Int -> FromTextShow2 f a b -> Text Source #

showtl :: FromTextShow2 f a b -> Text Source #

showtlList :: [FromTextShow2 f a b] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e) => TextShow (a, b, c, d, e) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e) -> Builder Source #

showb :: (a, b, c, d, e) -> Builder Source #

showbList :: [(a, b, c, d, e)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e) -> Text Source #

showt :: (a, b, c, d, e) -> Text Source #

showtList :: [(a, b, c, d, e)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e) -> Text Source #

showtl :: (a, b, c, d, e) -> Text Source #

showtlList :: [(a, b, c, d, e)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f) => TextShow (a, b, c, d, e, f) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f) -> Builder Source #

showb :: (a, b, c, d, e, f) -> Builder Source #

showbList :: [(a, b, c, d, e, f)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f) -> Text Source #

showt :: (a, b, c, d, e, f) -> Text Source #

showtList :: [(a, b, c, d, e, f)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f) -> Text Source #

showtl :: (a, b, c, d, e, f) -> Text Source #

showtlList :: [(a, b, c, d, e, f)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g) => TextShow (a, b, c, d, e, f, g) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g) -> Builder Source #

showb :: (a, b, c, d, e, f, g) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g) -> Text Source #

showt :: (a, b, c, d, e, f, g) -> Text Source #

showtList :: [(a, b, c, d, e, f, g)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g) -> Text Source #

showtl :: (a, b, c, d, e, f, g) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h) => TextShow (a, b, c, d, e, f, g, h) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h) -> Text Source #

showt :: (a, b, c, d, e, f, g, h) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i) => TextShow (a, b, c, d, e, f, g, h, i) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j) => TextShow (a, b, c, d, e, f, g, h, i, j) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i, j) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i, j) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i, j)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i, j) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i, j) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i, j)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i, j) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i, j) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i, j)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k) => TextShow (a, b, c, d, e, f, g, h, i, j, k) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i, j, k) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i, j, k)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i, j, k) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i, j, k)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i, j, k) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i, j, k)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l) => TextShow (a, b, c, d, e, f, g, h, i, j, k, l) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i, j, k, l) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i, j, k, l)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i, j, k, l) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i, j, k, l)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i, j, k, l) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i, j, k, l)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l, TextShow m) => TextShow (a, b, c, d, e, f, g, h, i, j, k, l, m) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i, j, k, l, m) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i, j, k, l, m) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i, j, k, l, m) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l, TextShow m, TextShow n) => TextShow (a, b, c, d, e, f, g, h, i, j, k, l, m, n) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i, j, k, l, m, n) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m, n)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i, j, k, l, m, n) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m, n)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i, j, k, l, m, n) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m, n)] -> Text Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l, TextShow m, TextShow n, TextShow o) => TextShow (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

showbPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) -> Builder Source #

showb :: (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) -> Builder Source #

showbList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m, n, o)] -> Builder Source #

showtPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) -> Text Source #

showt :: (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) -> Text Source #

showtList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m, n, o)] -> Text Source #

showtlPrec :: Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) -> Text Source #

showtl :: (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o) -> Text Source #

showtlList :: [(a, b, c, d, e, f, g, h, i, j, k, l, m, n, o)] -> Text Source #

showbParen :: Bool -> Builder -> Builder Source #

Surrounds `Builder` output with parentheses if the `Bool` parameter is `True`.

Since: 2

showtParen :: Bool -> Text -> Text Source #

Surrounds strict `Text` output with parentheses if the `Bool` parameter is `True`.

Since: 3.4

showtlParen :: Bool -> Text -> Text Source #

Surrounds lazy `Text` output with parentheses if the `Bool` parameter is `True`.

Since: 3.4

showbCommaSpace :: Builder Source #

Construct a `Builder` containing a comma followed by a space.

Since: 3.6

showtCommaSpace :: Text Source #

Construct a strict `Text` containing a comma followed by a space.

Since: 3.6

showtlCommaSpace :: Text Source #

Construct a lazy `Text` containing a comma followed by a space.

Since: 3.6

showbSpace :: Builder Source #

Construct a `Builder` containing a single space character.

Since: 2

showtSpace :: Text Source #

Construct a strict `Text` containing a single space character.

Since: 3.4

showtlSpace :: Text Source #

Construct a lazy `Text` containing a single space character.

Since: 3.4

## `TextShow1`

class (forall a. TextShow a => TextShow (f a)) => TextShow1 f where Source #

Lifting of the `TextShow` class to unary type constructors.

Since: 2

Minimal complete definition

liftShowbPrec

Methods

liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> f a -> Builder Source #

`showbPrec` function for an application of the type constructor based on `showbPrec` and `showbList` functions for the argument type.

Since: 3

liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [f a] -> Builder Source #

`showbList` function for an application of the type constructor based on `showbPrec` and `showbList` functions for the argument type. The default implementation using standard list syntax is correct for most types.

Since: 3

#### Instances

Instances details

TextShow1 ZipList Source # | Since: 2
Instance details Defined in TextShow.Control.Applicative Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> ZipList a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [ZipList a] -> Builder Source #
TextShow1 Complex Source # | Since: 2
Instance details Defined in TextShow.Data.Complex Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Complex a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Complex a] -> Builder Source #
TextShow1 Identity Source # | Since: 3
Instance details Defined in TextShow.Data.Functor.Identity Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Identity a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Identity a] -> Builder Source #
TextShow1 First Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> First a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [First a] -> Builder Source #
TextShow1 Last Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Last a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Last a] -> Builder Source #
TextShow1 Down Source # | This instance would be equivalent to a derived `TextShow1` instance if the `getDown` field were removed. Since: 2
Instance details Defined in TextShow.Data.Ord Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Down a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Down a] -> Builder Source #
TextShow1 First Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> First a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [First a] -> Builder Source #
TextShow1 Last Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Last a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Last a] -> Builder Source #
TextShow1 Max Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Max a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Max a] -> Builder Source #
TextShow1 Min Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Min a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Min a] -> Builder Source #
TextShow1 WrappedMonoid Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> WrappedMonoid a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [WrappedMonoid a] -> Builder Source #
TextShow1 Dual Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Dual a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Dual a] -> Builder Source #
TextShow1 Product Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Product a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Product a] -> Builder Source #
TextShow1 Sum Source # | Since: 2
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Sum a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Sum a] -> Builder Source #
TextShow1 NonEmpty Source # | Since: 3
Instance details Defined in TextShow.Data.List.NonEmpty Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> NonEmpty a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [NonEmpty a] -> Builder Source #
TextShow1 ForeignPtr Source # | Since: 2
Instance details Defined in TextShow.Foreign.Ptr Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> ForeignPtr a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [ForeignPtr a] -> Builder Source #
TextShow1 Par1 Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Par1 a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Par1 a] -> Builder Source #
TextShow1 FunPtr Source # | Since: 2
Instance details Defined in TextShow.Foreign.Ptr Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> FunPtr a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [FunPtr a] -> Builder Source #
TextShow1 Ptr Source # | Since: 2
Instance details Defined in TextShow.Foreign.Ptr Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Ptr a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Ptr a] -> Builder Source #
TextShow1 Ratio Source # | Since: 2
Instance details Defined in TextShow.Data.Ratio Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Ratio a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Ratio a] -> Builder Source #
TextShow1 Maybe Source # | Since: 2
Instance details Defined in TextShow.Data.Maybe Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Maybe a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Maybe a] -> Builder Source #
TextShow1 Solo Source # | Since: 3.9.3
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Solo a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Solo a] -> Builder Source #
TextShow1 List Source # | Since: 2
Instance details Defined in TextShow.Data.List Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> [a] -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [[a]] -> Builder Source #
TextShow a => TextShow1 (Either a) Source # | Since: 2
Instance details Defined in TextShow.Data.Either Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> Either a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [Either a a0] -> Builder Source #
TextShow1 (Proxy :: Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.Data.Proxy Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Proxy a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Proxy a] -> Builder Source #
TextShow a => TextShow1 (Arg a) Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> Arg a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [Arg a a0] -> Builder Source #
TextShow1 (TypeRep :: Type -> Type) Source # | Only available with `base-4.10.0.0` or later. Since: 3.6
Instance details Defined in TextShow.Data.Typeable Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> TypeRep a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [TypeRep a] -> Builder Source #
TextShow1 (U1 :: Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> U1 a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [U1 a] -> Builder Source #
TextShow1 (ST s) Source # | Since: 2
Instance details Defined in TextShow.Control.Monad.ST Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> ST s a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [ST s a] -> Builder Source #
TextShow a => TextShow1 ((,) a) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, a0)] -> Builder Source #
TextShow a => TextShow1 (Const a :: Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.Control.Applicative Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> Const a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [Const a a0] -> Builder Source #
TextShow1 f => TextShow1 (Ap f) Source # | Only available with `base-4.12.0.0` or later. Since: 3.7.4
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Ap f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Ap f a] -> Builder Source #
TextShow1 f => TextShow1 (Alt f) Source # | Only available with `base-4.8.0.0` or later. Since: 2
Instance details Defined in TextShow.Data.Monoid Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Alt f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Alt f a] -> Builder Source #
TextShow1 (Coercion a) Source # | Since: 2
Instance details Defined in TextShow.Data.Type.Coercion Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> Coercion a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [Coercion a a0] -> Builder Source #
TextShow1 ((:~:) a) Source # | Since: 2
Instance details Defined in TextShow.Data.Type.Equality Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a :~: a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [a :~: a0] -> Builder Source #
TextShow1 f => TextShow1 (Rec1 f) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Rec1 f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Rec1 f a] -> Builder Source #
TextShow1 (URec Char :: Type -> Type) Source # | Since: 2.1.2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> URec Char a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [URec Char a] -> Builder Source #
TextShow1 (URec Double :: Type -> Type) Source # | Since: 2.1.2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> URec Double a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [URec Double a] -> Builder Source #
TextShow1 (URec Float :: Type -> Type) Source # | Since: 2.1.2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> URec Float a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [URec Float a] -> Builder Source #
TextShow1 (URec Int :: Type -> Type) Source # | Since: 2.1.2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> URec Int a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [URec Int a] -> Builder Source #
TextShow1 (URec Word :: Type -> Type) Source # | Since: 2.1.2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> URec Word a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [URec Word a] -> Builder Source #
Show1 f => TextShow1 (FromStringShow1 f) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> FromStringShow1 f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [FromStringShow1 f a] -> Builder Source #
TextShow1 f => TextShow1 (FromTextShow1 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> FromTextShow1 f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [FromTextShow1 f a] -> Builder Source #
(Generic1 f, GTextShowB1 (Rep1 f)) => TextShow1 (FromGeneric1 f) Source # | Since: 3.7.4
Instance details Defined in TextShow.Generic Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> FromGeneric1 f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [FromGeneric1 f a] -> Builder Source #
(TextShow a, TextShow b) => TextShow1 ((,,) a b) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, a0)] -> Builder Source #
(TextShow1 f, TextShow1 g) => TextShow1 (Product f g) Source # | Since: 3
Instance details Defined in TextShow.Data.Functor.Product Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Product f g a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Product f g a] -> Builder Source #
(TextShow1 f, TextShow1 g) => TextShow1 (Sum f g) Source # | Since: 3
Instance details Defined in TextShow.Data.Functor.Sum Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Sum f g a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Sum f g a] -> Builder Source #
TextShow1 ((:~~:) a :: Type -> Type) Source # | Since: 3.6
Instance details Defined in TextShow.Data.Type.Equality Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a :~~: a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [a :~~: a0] -> Builder Source #
(TextShow1 f, TextShow1 g) => TextShow1 (f :*: g) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> (f :*: g) a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [(f :*: g) a] -> Builder Source #
(TextShow1 f, TextShow1 g) => TextShow1 (f :+: g) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> (f :+: g) a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [(f :+: g) a] -> Builder Source #
TextShow c => TextShow1 (K1 i c :: Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> K1 i c a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [K1 i c a] -> Builder Source #
(TextShow a, TextShow b, TextShow c) => TextShow1 ((,,,) a b c) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, a0)] -> Builder Source #
TextShow1 ((->) a) Source # | Since: 2
Instance details Defined in TextShow.Functions Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a -> a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [a -> a0] -> Builder Source #
(TextShow1 f, TextShow1 g) => TextShow1 (Compose f g) Source # | Since: 3
Instance details Defined in TextShow.Data.Functor.Compose Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> Compose f g a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [Compose f g a] -> Builder Source #
(TextShow1 f, TextShow1 g) => TextShow1 (f :.: g) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> (f :.: g) a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [(f :.: g) a] -> Builder Source #
TextShow1 f => TextShow1 (M1 i c f) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> M1 i c f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [M1 i c f a] -> Builder Source #

(Show2 f, TextShow a) => TextShow1 (FromStringShow2 f a) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `Show2` constraint with a `TextShow` constraint. This is done for consistency with the `Show1` instance for `FromTextShow2`, which mixes constraints in a similar way to satisfy superclass constraints. See the Haddocks on the `Show1` instance for `FromTextShow2` for more details.

Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> FromStringShow2 f a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [FromStringShow2 f a a0] -> Builder Source #
(TextShow2 f, TextShow a) => TextShow1 (FromTextShow2 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> FromTextShow2 f a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [FromTextShow2 f a a0] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d) => TextShow1 ((,,,,) a b c d) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e) => TextShow1 ((,,,,,) a b c d e) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f) => TextShow1 ((,,,,,,) a b c d e f) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g) => TextShow1 ((,,,,,,,) a b c d e f g) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h) => TextShow1 ((,,,,,,,,) a b c d e f g h) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i) => TextShow1 ((,,,,,,,,,) a b c d e f g h i) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j) => TextShow1 ((,,,,,,,,,,) a b c d e f g h i j) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k) => TextShow1 ((,,,,,,,,,,,) a b c d e f g h i j k) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l) => TextShow1 ((,,,,,,,,,,,,) a b c d e f g h i j k l) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, l, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, l, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l, TextShow m) => TextShow1 ((,,,,,,,,,,,,,) a b c d e f g h i j k l m) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, l, m, a0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l, TextShow m, TextShow n) => TextShow1 ((,,,,,,,,,,,,,,) a b c d e f g h i j k l m n) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, n, a0) -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, l, m, n, a0)] -> Builder Source #

showbPrec1 :: (TextShow1 f, TextShow a) => Int -> f a -> Builder Source #

Lift the standard `showbPrec` and `showbList` functions through the type constructor.

Since: 2

showbUnaryWith :: (Int -> a -> Builder) -> Builder -> Int -> a -> Builder Source #

``showbUnaryWith` sp n p x` produces the `Builder` representation of a unary data constructor with name `n` and argument `x`, in precedence context `p`, using the function `sp` to show occurrences of the type argument.

Since: 2

liftShowtPrec :: TextShow1 f => (Int -> a -> Text) -> ([a] -> Text) -> Int -> f a -> Text Source #

`showtPrec` function for an application of the type constructor based on `showtPrec` and `showtList` functions for the argument type.

The current implementation is based on `liftShowbPrec` internally.

Since: 3.4

liftShowtlPrec :: TextShow1 f => (Int -> a -> Text) -> ([a] -> Text) -> Int -> f a -> Text Source #

`showtlPrec` function for an application of the type constructor based on `showtlPrec` and `showtlList` functions for the argument type.

The current implementation is based on `liftShowbPrec` internally.

Since: 3.4

## `TextShow2`

class (forall a. TextShow a => TextShow1 (f a)) => TextShow2 f where Source #

Lifting of the `TextShow` class to binary type constructors.

Since: 2

Minimal complete definition

liftShowbPrec2

Methods

liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> f a b -> Builder Source #

`showbPrec` function for an application of the type constructor based on `showbPrec` and `showbList` functions for the argument types.

Since: 3

liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [f a b] -> Builder Source #

`showbList` function for an application of the type constructor based on `showbPrec` and `showbList` functions for the argument types. The default implementation using standard list syntax is correct for most types.

Since: 3

#### Instances

Instances details

TextShow2 Either Source # | Since: 2
Instance details Defined in TextShow.Data.Either Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> Either a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [Either a b] -> Builder Source #
TextShow2 Arg Source # | Since: 3
Instance details Defined in TextShow.Data.Semigroup Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> Arg a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [Arg a b] -> Builder Source #
TextShow2 ST Source # | Since: 2
Instance details Defined in TextShow.Control.Monad.ST Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> ST a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [ST a b] -> Builder Source #
TextShow2 (,) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> (a, b) -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [(a, b)] -> Builder Source #
TextShow2 (Const :: Type -> Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.Control.Applicative Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> Const a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [Const a b] -> Builder Source #
TextShow2 (Coercion :: Type -> Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.Data.Type.Coercion Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> Coercion a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [Coercion a b] -> Builder Source #
TextShow2 ((:~:) :: Type -> Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.Data.Type.Equality Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> (a :~: b) -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [a :~: b] -> Builder Source #
TextShow a => TextShow2 ((,,) a) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> (a, a0, b) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [(a, a0, b)] -> Builder Source #
TextShow2 ((:~~:) :: Type -> Type -> Type) Source # | Since: 3.6
Instance details Defined in TextShow.Data.Type.Equality Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> (a :~~: b) -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [a :~~: b] -> Builder Source #
TextShow2 (K1 i :: Type -> Type -> Type) Source # | Since: 2
Instance details Defined in TextShow.GHC.Generics Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> K1 i a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [K1 i a b] -> Builder Source #
(TextShow a, TextShow b) => TextShow2 ((,,,) a b) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, a0, b0)] -> Builder Source #
TextShow2 (->) Source # | Since: 2
Instance details Defined in TextShow.Functions Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> (a -> b) -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [a -> b] -> Builder Source #
Show2 f => TextShow2 (FromStringShow2 f) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> FromStringShow2 f a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [FromStringShow2 f a b] -> Builder Source #
TextShow2 f => TextShow2 (FromTextShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> FromTextShow2 f a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [FromTextShow2 f a b] -> Builder Source #
(TextShow a, TextShow b, TextShow c) => TextShow2 ((,,,,) a b c) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d) => TextShow2 ((,,,,,) a b c d) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e) => TextShow2 ((,,,,,,) a b c d e) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f) => TextShow2 ((,,,,,,,) a b c d e f) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g) => TextShow2 ((,,,,,,,,) a b c d e f g) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h) => TextShow2 ((,,,,,,,,,) a b c d e f g h) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, h, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i) => TextShow2 ((,,,,,,,,,,) a b c d e f g h i) Source # | Since: 2
Instance details Defined in TextShow.Data.Tuple Methods liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, a0, b0) -> Builder Source # liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, a0, b0)] -> Builder Source #
(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j) => TextShow2 ((,,,,,,,,,,,) a b c d e f g h i j) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, a0, b0) -> Builder Source #

liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, a0, b0)] -> Builder Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k) => TextShow2 ((,,,,,,,,,,,,) a b c d e f g h i j k) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, a0, b0) -> Builder Source #

liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, a0, b0)] -> Builder Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l) => TextShow2 ((,,,,,,,,,,,,,) a b c d e f g h i j k l) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, l, a0, b0) -> Builder Source #

liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, l, a0, b0)] -> Builder Source #

(TextShow a, TextShow b, TextShow c, TextShow d, TextShow e, TextShow f, TextShow g, TextShow h, TextShow i, TextShow j, TextShow k, TextShow l, TextShow m) => TextShow2 ((,,,,,,,,,,,,,,) a b c d e f g h i j k l m) Source # | Since: 2

Instance details

Defined in TextShow.Data.Tuple

Methods

liftShowbPrec2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> Int -> (a, b, c, d, e, f, g, h, i, j, k, l, m, a0, b0) -> Builder Source #

liftShowbList2 :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> (Int -> b0 -> Builder) -> ([b0] -> Builder) -> [(a, b, c, d, e, f, g, h, i, j, k, l, m, a0, b0)] -> Builder Source #

showbPrec2 :: (TextShow2 f, TextShow a, TextShow b) => Int -> f a b -> Builder Source #

Lift two `showbPrec` functions through the type constructor.

Since: 2

showbBinaryWith :: (Int -> a -> Builder) -> (Int -> b -> Builder) -> Builder -> Int -> a -> b -> Builder Source #

``showbBinaryWith` sp n p x y` produces the `Builder` representation of a binary data constructor with name `n` and arguments `x` and `y`, in precedence context `p`, using the functions `sp1` and `sp2` to show occurrences of the type arguments.

Since: 2

liftShowtPrec2 :: TextShow2 f => (Int -> a -> Text) -> ([a] -> Text) -> (Int -> b -> Text) -> ([b] -> Text) -> Int -> f a b -> Text Source #

`showtPrec` function for an application of the type constructor based on `showtPrec` and `showtList` functions for the argument type.

The current implementation is based on `liftShowbPrec2` internally.

Since: 3.4

liftShowtlPrec2 :: TextShow2 f => (Int -> a -> Text) -> ([a] -> Text) -> (Int -> b -> Text) -> ([b] -> Text) -> Int -> f a b -> Text Source #

`showtlPrec` function for an application of the type constructor based on `showtlPrec` and `showtlList` functions for the argument type.

The current implementation is based on `liftShowbPrec2` internally.

Since: 3.4

# `Builder`s

## The `Builder` type

data Builder Source #

A `Builder` is an efficient way to build lazy `Text` values. There are several functions for constructing builders, but only one to inspect them: to extract any data, you have to turn them into lazy `Text` values using `toLazyText`.

Internally, a builder constructs a lazy `Text` by filling arrays piece by piece. As each buffer is filled, it is 'popped' off, to become a new chunk of the resulting lazy `Text`. All this is hidden from the user of the `Builder`.

#### Instances

Instances details

IsString Builder

Performs replacement on invalid scalar values:

    >>> :set -XOverloadedStrings
    >>> "\55555" :: Builder
    "\65533"

Instance details Defined in Data.Text.Internal.Builder Methods fromString :: String -> Builder Source #
Monoid Builder |
Instance details Defined in Data.Text.Internal.Builder Methods mempty :: Builder Source # mappend :: Builder -> Builder -> Builder Source # mconcat :: [Builder] -> Builder Source #
Semigroup Builder |
Instance details Defined in Data.Text.Internal.Builder Methods (<>) :: Builder -> Builder -> Builder Source # sconcat :: NonEmpty Builder -> Builder Source # stimes :: Integral b => b -> Builder -> Builder Source #
Show Builder |
Instance details Defined in Data.Text.Internal.Builder Methods showsPrec :: Int -> Builder -> ShowS Source # show :: Builder -> String Source # showList :: [Builder] -> ShowS Source #
Eq Builder |
Instance details Defined in Data.Text.Internal.Builder Methods (==) :: Builder -> Builder -> Bool Source # (/=) :: Builder -> Builder -> Bool Source #
Ord Builder |
Instance details Defined in Data.Text.Internal.Builder Methods compare :: Builder -> Builder -> Ordering Source # (<) :: Builder -> Builder -> Bool Source # (<=) :: Builder -> Builder -> Bool Source # (>) :: Builder -> Builder -> Bool Source # (>=) :: Builder -> Builder -> Bool Source # max :: Builder -> Builder -> Builder Source # min :: Builder -> Builder -> Builder Source #
TextShow Builder Source # | Since: 2

Instance details

Defined in TextShow.Data.Text

Methods

showbPrec :: Int -> Builder -> Builder Source #

showb :: Builder -> Builder Source #

showbList :: [Builder] -> Builder Source #

showtPrec :: Int -> Builder -> Text Source #

showt :: Builder -> Text Source #

showtList :: [Builder] -> Text Source #

showtlPrec :: Int -> Builder -> Text Source #

showtl :: Builder -> Text Source #

showtlList :: [Builder] -> Text Source #

toText :: Builder -> Text Source #

Convert a `Builder` to a strict `Text`.

Since: 2

toLazyText :: Builder -> Text Source #

O(n). Extract a lazy `Text` from a `Builder` with a default buffer size. The construction work takes place if and when the relevant part of the lazy `Text` is demanded.

toLazyTextWith :: Int -> Builder -> Text Source #

O(n). Extract a lazy `Text` from a `Builder`, using the given size for the initial buffer. The construction work takes place if and when the relevant part of the lazy `Text` is demanded.

If the initial buffer is too small to hold all data, subsequent buffers will be the default buffer size.

toString :: Builder -> String Source #

Convert a `Builder` to a `String` (without surrounding it with double quotes, as `show` would).

Since: 2

## Constructing `Builder`s

singleton :: Char -> Builder Source #

O(1). A `Builder` taking a single character, satisfying

-     toLazyText (singleton c) = singleton c

fromText :: Text -> Builder Source #

O(1). A `Builder` taking a `Text`, satisfying

-     toLazyText (fromText t) = fromChunks [t]

fromLazyText :: Text -> Builder Source #

O(1). A `Builder` taking a lazy `Text`, satisfying

-     toLazyText (fromLazyText t) = t

fromString :: String -> Builder Source #

O(1). A Builder taking a `String`, satisfying

-     toLazyText (fromString s) = fromChunks [S.pack s]

Performs replacement on invalid scalar values:

    >>> fromString "\55555"
    "\65533"

Since: text-1.2.0.0

## Flushing the buffer state

flush :: Builder Source #

O(1). Pop the strict `Text` we have constructed so far, if any, yielding a new chunk in the result lazy `Text`.

## `Builder` utility functions

lengthB :: Builder -> Int64 Source #

Computes the length of a `Builder`.

Since: 2

unlinesB :: [Builder] -> Builder Source #

Merges several `Builder`s, separating them by newlines.

Since: 2

unwordsB :: [Builder] -> Builder Source #

Merges several `Builder`s, separating them by spaces.

Since: 2

# Printing values

printT :: TextShow a => a -> IO () Source #

Writes a value's strict `Text` representation to the standard output, followed by a newline.

Since: 2

printTL :: TextShow a => a -> IO () Source #

Writes a value's lazy `Text` representation to the standard output, followed by a newline.

Since: 2

hPrintT :: TextShow a => Handle -> a -> IO () Source #

Writes a value's strict `Text` representation to a file handle, followed by a newline.

Since: 2

hPrintTL :: TextShow a => Handle -> a -> IO () Source #

Writes a value's lazy `Text` representation to a file handle, followed by a newline.

Since: 2

# Conversions

## Conversion between `TextShow` and string `Show`

newtype FromStringShow a Source #

An adapter newtype, suitable for `DerivingVia`. The `TextShow` instance for `FromStringShow` is based on its `String` `Show` instance. That is,

    showbPrec p (FromStringShow x) = showsToShowb showsPrec p x

Since: 2

Constructors

FromStringShow |

Fields

- fromStringShow :: a

#### Instances

Instances details

Foldable FromStringShow Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

fold :: Monoid m => FromStringShow m -> m Source #

foldMap :: Monoid m => (a -> m) -> FromStringShow a -> m Source #

foldMap' :: Monoid m => (a -> m) -> FromStringShow a -> m Source #

foldr :: (a -> b -> b) -> b -> FromStringShow a -> b Source #

foldr' :: (a -> b -> b) -> b -> FromStringShow a -> b Source #

foldl :: (b -> a -> b) -> b -> FromStringShow a -> b Source #

foldl' :: (b -> a -> b) -> b -> FromStringShow a -> b Source #

foldr1 :: (a -> a -> a) -> FromStringShow a -> a Source #

foldl1 :: (a -> a -> a) -> FromStringShow a -> a Source #

toList :: FromStringShow a -> [a] Source #

null :: FromStringShow a -> Bool Source #

length :: FromStringShow a -> Int Source #

elem :: Eq a => a -> FromStringShow a -> Bool Source #

maximum :: Ord a => FromStringShow a -> a Source #

minimum :: Ord a => FromStringShow a -> a Source #

sum :: Num a => FromStringShow a -> a Source #

product :: Num a => FromStringShow a -> a Source #

Traversable FromStringShow Source # |
Instance details Defined in TextShow.FromStringTextShow Methods traverse :: Applicative f => (a -> f b) -> FromStringShow a -> f (FromStringShow b) Source # sequenceA :: Applicative f => FromStringShow (f a) -> f (FromStringShow a) Source # mapM :: Monad m => (a -> m b) -> FromStringShow a -> m (FromStringShow b) Source # sequence :: Monad m => FromStringShow (m a) -> m (FromStringShow a) Source #
Functor FromStringShow Source # |
Instance details Defined in TextShow.FromStringTextShow Methods fmap :: (a -> b) -> FromStringShow a -> FromStringShow b Source # (<$) :: a -> FromStringShow b -> FromStringShow a Source #
Generic1 FromStringShow Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep1 FromStringShow :: k -> Type Source # Methods from1 :: forall (a :: k). FromStringShow a -> Rep1 FromStringShow a Source # to1 :: forall (a :: k). Rep1 FromStringShow a -> FromStringShow a Source #
Lift a => Lift (FromStringShow a :: Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods lift :: Quote m => FromStringShow a -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => FromStringShow a -> Code m (FromStringShow a) Source #
Data a => Data (FromStringShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> FromStringShow a -> c (FromStringShow a) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (FromStringShow a) Source #

toConstr :: FromStringShow a -> Constr Source #

dataTypeOf :: FromStringShow a -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (FromStringShow a)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (FromStringShow a)) Source #

gmapT :: (forall b. Data b => b -> b) -> FromStringShow a -> FromStringShow a Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> FromStringShow a -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> FromStringShow a -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> FromStringShow a -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> FromStringShow a -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> FromStringShow a -> m (FromStringShow a) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> FromStringShow a -> m (FromStringShow a) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> FromStringShow a -> m (FromStringShow a) Source #

Generic (FromStringShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep (FromStringShow a) :: Type -> Type Source # Methods from :: FromStringShow a -> Rep (FromStringShow a) x Source # to :: Rep (FromStringShow a) x -> FromStringShow a Source #
Read a => Read (FromStringShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods readsPrec :: Int -> ReadS (FromStringShow a) Source # readList :: ReadS [FromStringShow a] Source # readPrec :: ReadPrec (FromStringShow a) Source # readListPrec :: ReadPrec [FromStringShow a] Source #
Show a => Show (FromStringShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods showsPrec :: Int -> FromStringShow a -> ShowS Source # show :: FromStringShow a -> String Source # showList :: [FromStringShow a] -> ShowS Source #
Eq a => Eq (FromStringShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods (==) :: FromStringShow a -> FromStringShow a -> Bool Source # (/=) :: FromStringShow a -> FromStringShow a -> Bool Source #
Ord a => Ord (FromStringShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

compare :: FromStringShow a -> FromStringShow a -> Ordering Source #

(<) :: FromStringShow a -> FromStringShow a -> Bool Source #

(<=) :: FromStringShow a -> FromStringShow a -> Bool Source #

(>) :: FromStringShow a -> FromStringShow a -> Bool Source #

(>=) :: FromStringShow a -> FromStringShow a -> Bool Source #

max :: FromStringShow a -> FromStringShow a -> FromStringShow a Source #

min :: FromStringShow a -> FromStringShow a -> FromStringShow a Source #

Show a => TextShow (FromStringShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromStringShow a -> Builder Source #

showb :: FromStringShow a -> Builder Source #

showbList :: [FromStringShow a] -> Builder Source #

showtPrec :: Int -> FromStringShow a -> Text Source #

showt :: FromStringShow a -> Text Source #

showtList :: [FromStringShow a] -> Text Source #

showtlPrec :: Int -> FromStringShow a -> Text Source #

showtl :: FromStringShow a -> Text Source #

showtlList :: [FromStringShow a] -> Text Source #

type Rep1 FromStringShow Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep1 FromStringShow = D1 ('MetaData "FromStringShow" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromStringShow" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromStringShow") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) Par1))
type Rep (FromStringShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep (FromStringShow a) = D1 ('MetaData "FromStringShow" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromStringShow" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromStringShow") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 a)))

newtype FromTextShow a Source #

An adapter newtype, suitable for `DerivingVia`. The `String` `Show` instance for `FromTextShow` is based on its `TextShow` instance. That is,

    showsPrec p (FromTextShow x) = showbToShows showbPrec p x

Since: 2

Constructors

FromTextShow |

Fields

- fromTextShow :: a

#### Instances

Instances details

Foldable FromTextShow Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

fold :: Monoid m => FromTextShow m -> m Source #

foldMap :: Monoid m => (a -> m) -> FromTextShow a -> m Source #

foldMap' :: Monoid m => (a -> m) -> FromTextShow a -> m Source #

foldr :: (a -> b -> b) -> b -> FromTextShow a -> b Source #

foldr' :: (a -> b -> b) -> b -> FromTextShow a -> b Source #

foldl :: (b -> a -> b) -> b -> FromTextShow a -> b Source #

foldl' :: (b -> a -> b) -> b -> FromTextShow a -> b Source #

foldr1 :: (a -> a -> a) -> FromTextShow a -> a Source #

foldl1 :: (a -> a -> a) -> FromTextShow a -> a Source #

toList :: FromTextShow a -> [a] Source #

null :: FromTextShow a -> Bool Source #

length :: FromTextShow a -> Int Source #

elem :: Eq a => a -> FromTextShow a -> Bool Source #

maximum :: Ord a => FromTextShow a -> a Source #

minimum :: Ord a => FromTextShow a -> a Source #

sum :: Num a => FromTextShow a -> a Source #

product :: Num a => FromTextShow a -> a Source #

Traversable FromTextShow Source # |
Instance details Defined in TextShow.FromStringTextShow Methods traverse :: Applicative f => (a -> f b) -> FromTextShow a -> f (FromTextShow b) Source # sequenceA :: Applicative f => FromTextShow (f a) -> f (FromTextShow a) Source # mapM :: Monad m => (a -> m b) -> FromTextShow a -> m (FromTextShow b) Source # sequence :: Monad m => FromTextShow (m a) -> m (FromTextShow a) Source #
Functor FromTextShow Source # |
Instance details Defined in TextShow.FromStringTextShow Methods fmap :: (a -> b) -> FromTextShow a -> FromTextShow b Source # (<$) :: a -> FromTextShow b -> FromTextShow a Source #
Generic1 FromTextShow Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep1 FromTextShow :: k -> Type Source # Methods from1 :: forall (a :: k). FromTextShow a -> Rep1 FromTextShow a Source # to1 :: forall (a :: k). Rep1 FromTextShow a -> FromTextShow a Source #
Lift a => Lift (FromTextShow a :: Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods lift :: Quote m => FromTextShow a -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => FromTextShow a -> Code m (FromTextShow a) Source #
Data a => Data (FromTextShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> FromTextShow a -> c (FromTextShow a) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (FromTextShow a) Source #

toConstr :: FromTextShow a -> Constr Source #

dataTypeOf :: FromTextShow a -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (FromTextShow a)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (FromTextShow a)) Source #

gmapT :: (forall b. Data b => b -> b) -> FromTextShow a -> FromTextShow a Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> FromTextShow a -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> FromTextShow a -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> FromTextShow a -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> FromTextShow a -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> FromTextShow a -> m (FromTextShow a) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> FromTextShow a -> m (FromTextShow a) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> FromTextShow a -> m (FromTextShow a) Source #

Generic (FromTextShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep (FromTextShow a) :: Type -> Type Source # Methods from :: FromTextShow a -> Rep (FromTextShow a) x Source # to :: Rep (FromTextShow a) x -> FromTextShow a Source #
Read a => Read (FromTextShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods readsPrec :: Int -> ReadS (FromTextShow a) Source # readList :: ReadS [FromTextShow a] Source # readPrec :: ReadPrec (FromTextShow a) Source # readListPrec :: ReadPrec [FromTextShow a] Source #
TextShow a => Show (FromTextShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods showsPrec :: Int -> FromTextShow a -> ShowS Source # show :: FromTextShow a -> String Source # showList :: [FromTextShow a] -> ShowS Source #
Eq a => Eq (FromTextShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods (==) :: FromTextShow a -> FromTextShow a -> Bool Source # (/=) :: FromTextShow a -> FromTextShow a -> Bool Source #
Ord a => Ord (FromTextShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

compare :: FromTextShow a -> FromTextShow a -> Ordering Source #

(<) :: FromTextShow a -> FromTextShow a -> Bool Source #

(<=) :: FromTextShow a -> FromTextShow a -> Bool Source #

(>) :: FromTextShow a -> FromTextShow a -> Bool Source #

(>=) :: FromTextShow a -> FromTextShow a -> Bool Source #

max :: FromTextShow a -> FromTextShow a -> FromTextShow a Source #

min :: FromTextShow a -> FromTextShow a -> FromTextShow a Source #

TextShow a => TextShow (FromTextShow a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromTextShow a -> Builder Source #

showb :: FromTextShow a -> Builder Source #

showbList :: [FromTextShow a] -> Builder Source #

showtPrec :: Int -> FromTextShow a -> Text Source #

showt :: FromTextShow a -> Text Source #

showtList :: [FromTextShow a] -> Text Source #

showtlPrec :: Int -> FromTextShow a -> Text Source #

showtl :: FromTextShow a -> Text Source #

showtlList :: [FromTextShow a] -> Text Source #

type Rep1 FromTextShow Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep1 FromTextShow = D1 ('MetaData "FromTextShow" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromTextShow" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromTextShow") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) Par1))
type Rep (FromTextShow a) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep (FromTextShow a) = D1 ('MetaData "FromTextShow" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromTextShow" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromTextShow") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 a)))

newtype FromStringShow1 f a Source #

An adapter newtype, suitable for `DerivingVia`. The `TextShow1` instance for `FromStringShow1` is based on its `String` `Show1` instance. That is,

    liftShowbPrec sp sl p (FromStringShow1 x) =
        showsPrecToShowbPrec (liftShowsPrec (showbPrecToShowsPrec sp)
                                                (showbToShows         sl))
                               p x

Since: 3

Constructors

FromStringShow1 |

Fields

- fromStringShow1 :: f a

#### Instances

Instances details

Generic1 (FromStringShow1 f :: k -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep1 (FromStringShow1 f) :: k -> Type Source # Methods from1 :: forall (a :: k0). FromStringShow1 f a -> Rep1 (FromStringShow1 f) a Source # to1 :: forall (a :: k0). Rep1 (FromStringShow1 f) a -> FromStringShow1 f a Source #
Lift (f a) => Lift (FromStringShow1 f a :: Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods lift :: Quote m => FromStringShow1 f a -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => FromStringShow1 f a -> Code m (FromStringShow1 f a) Source #
Foldable f => Foldable (FromStringShow1 f) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

fold :: Monoid m => FromStringShow1 f m -> m Source #

foldMap :: Monoid m => (a -> m) -> FromStringShow1 f a -> m Source #

foldMap' :: Monoid m => (a -> m) -> FromStringShow1 f a -> m Source #

foldr :: (a -> b -> b) -> b -> FromStringShow1 f a -> b Source #

foldr' :: (a -> b -> b) -> b -> FromStringShow1 f a -> b Source #

foldl :: (b -> a -> b) -> b -> FromStringShow1 f a -> b Source #

foldl' :: (b -> a -> b) -> b -> FromStringShow1 f a -> b Source #

foldr1 :: (a -> a -> a) -> FromStringShow1 f a -> a Source #

foldl1 :: (a -> a -> a) -> FromStringShow1 f a -> a Source #

toList :: FromStringShow1 f a -> [a] Source #

null :: FromStringShow1 f a -> Bool Source #

length :: FromStringShow1 f a -> Int Source #

elem :: Eq a => a -> FromStringShow1 f a -> Bool Source #

maximum :: Ord a => FromStringShow1 f a -> a Source #

minimum :: Ord a => FromStringShow1 f a -> a Source #

sum :: Num a => FromStringShow1 f a -> a Source #

product :: Num a => FromStringShow1 f a -> a Source #

Show1 f => Show1 (FromStringShow1 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowsPrec :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> Int -> FromStringShow1 f a -> ShowS Source # liftShowList :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> [FromStringShow1 f a] -> ShowS Source #
Traversable f => Traversable (FromStringShow1 f) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

traverse :: Applicative f0 => (a -> f0 b) -> FromStringShow1 f a -> f0 (FromStringShow1 f b) Source #

sequenceA :: Applicative f0 => FromStringShow1 f (f0 a) -> f0 (FromStringShow1 f a) Source #

mapM :: Monad m => (a -> m b) -> FromStringShow1 f a -> m (FromStringShow1 f b) Source #

sequence :: Monad m => FromStringShow1 f (m a) -> m (FromStringShow1 f a) Source #

Functor f => Functor (FromStringShow1 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods fmap :: (a -> b) -> FromStringShow1 f a -> FromStringShow1 f b Source # (<$) :: a -> FromStringShow1 f b -> FromStringShow1 f a Source #
Show1 f => TextShow1 (FromStringShow1 f) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> FromStringShow1 f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [FromStringShow1 f a] -> Builder Source #
(Typeable a, Typeable f, Typeable k, Data (f a)) => Data (FromStringShow1 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> FromStringShow1 f a -> c (FromStringShow1 f a) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (FromStringShow1 f a) Source #

toConstr :: FromStringShow1 f a -> Constr Source #

dataTypeOf :: FromStringShow1 f a -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (FromStringShow1 f a)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (FromStringShow1 f a)) Source #

gmapT :: (forall b. Data b => b -> b) -> FromStringShow1 f a -> FromStringShow1 f a Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> FromStringShow1 f a -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> FromStringShow1 f a -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> FromStringShow1 f a -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> FromStringShow1 f a -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> FromStringShow1 f a -> m (FromStringShow1 f a) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> FromStringShow1 f a -> m (FromStringShow1 f a) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> FromStringShow1 f a -> m (FromStringShow1 f a) Source #

Generic (FromStringShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep (FromStringShow1 f a) :: Type -> Type Source # Methods from :: FromStringShow1 f a -> Rep (FromStringShow1 f a) x Source # to :: Rep (FromStringShow1 f a) x -> FromStringShow1 f a Source #
Read (f a) => Read (FromStringShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods readsPrec :: Int -> ReadS (FromStringShow1 f a) Source # readList :: ReadS [FromStringShow1 f a] Source # readPrec :: ReadPrec (FromStringShow1 f a) Source # readListPrec :: ReadPrec [FromStringShow1 f a] Source #
(Show1 f, Show a) => Show (FromStringShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods showsPrec :: Int -> FromStringShow1 f a -> ShowS Source # show :: FromStringShow1 f a -> String Source # showList :: [FromStringShow1 f a] -> ShowS Source #
Eq (f a) => Eq (FromStringShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods (==) :: FromStringShow1 f a -> FromStringShow1 f a -> Bool Source # (/=) :: FromStringShow1 f a -> FromStringShow1 f a -> Bool Source #
Ord (f a) => Ord (FromStringShow1 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

compare :: FromStringShow1 f a -> FromStringShow1 f a -> Ordering Source #

(<) :: FromStringShow1 f a -> FromStringShow1 f a -> Bool Source #

(<=) :: FromStringShow1 f a -> FromStringShow1 f a -> Bool Source #

(>) :: FromStringShow1 f a -> FromStringShow1 f a -> Bool Source #

(>=) :: FromStringShow1 f a -> FromStringShow1 f a -> Bool Source #

max :: FromStringShow1 f a -> FromStringShow1 f a -> FromStringShow1 f a Source #

min :: FromStringShow1 f a -> FromStringShow1 f a -> FromStringShow1 f a Source #

(Show1 f, TextShow a) => TextShow (FromStringShow1 f a) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `Show1` constraint with a `TextShow` constraint. This is done for consistency with the `Show` instance for `FromTextShow1`, which mixes constraints in a similar way to satisfy superclass constraints. See the Haddocks on the `Show` instance for `FromTextShow1` for more details.

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromStringShow1 f a -> Builder Source #

showb :: FromStringShow1 f a -> Builder Source #

showbList :: [FromStringShow1 f a] -> Builder Source #

showtPrec :: Int -> FromStringShow1 f a -> Text Source #

showt :: FromStringShow1 f a -> Text Source #

showtList :: [FromStringShow1 f a] -> Text Source #

showtlPrec :: Int -> FromStringShow1 f a -> Text Source #

showtl :: FromStringShow1 f a -> Text Source #

showtlList :: [FromStringShow1 f a] -> Text Source #

type Rep1 (FromStringShow1 f :: k -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep1 (FromStringShow1 f :: k -> Type) = D1 ('MetaData "FromStringShow1" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromStringShow1" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromStringShow1") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec1 f)))
type Rep (FromStringShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep (FromStringShow1 f a) = D1 ('MetaData "FromStringShow1" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromStringShow1" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromStringShow1") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (f a))))

newtype FromTextShow1 f a Source #

An adapter newtype, suitable for `DerivingVia`. The `String` `Show1` instance for `FromTextShow1` is based on its `TextShow1` instance. That is,

    liftShowsPrec sp sl p (FromTextShow1 x) =
        showbPrecToShowsPrec (liftShowbPrec (showsPrecToShowbPrec sp)
                                                (showsToShowb         sl))
                               p x

Since: 3

Constructors

FromTextShow1 |

Fields

- fromTextShow1 :: f a

#### Instances

Instances details

Generic1 (FromTextShow1 f :: k -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep1 (FromTextShow1 f) :: k -> Type Source # Methods from1 :: forall (a :: k0). FromTextShow1 f a -> Rep1 (FromTextShow1 f) a Source # to1 :: forall (a :: k0). Rep1 (FromTextShow1 f) a -> FromTextShow1 f a Source #
Lift (f a) => Lift (FromTextShow1 f a :: Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods lift :: Quote m => FromTextShow1 f a -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => FromTextShow1 f a -> Code m (FromTextShow1 f a) Source #
Foldable f => Foldable (FromTextShow1 f) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

fold :: Monoid m => FromTextShow1 f m -> m Source #

foldMap :: Monoid m => (a -> m) -> FromTextShow1 f a -> m Source #

foldMap' :: Monoid m => (a -> m) -> FromTextShow1 f a -> m Source #

foldr :: (a -> b -> b) -> b -> FromTextShow1 f a -> b Source #

foldr' :: (a -> b -> b) -> b -> FromTextShow1 f a -> b Source #

foldl :: (b -> a -> b) -> b -> FromTextShow1 f a -> b Source #

foldl' :: (b -> a -> b) -> b -> FromTextShow1 f a -> b Source #

foldr1 :: (a -> a -> a) -> FromTextShow1 f a -> a Source #

foldl1 :: (a -> a -> a) -> FromTextShow1 f a -> a Source #

toList :: FromTextShow1 f a -> [a] Source #

null :: FromTextShow1 f a -> Bool Source #

length :: FromTextShow1 f a -> Int Source #

elem :: Eq a => a -> FromTextShow1 f a -> Bool Source #

maximum :: Ord a => FromTextShow1 f a -> a Source #

minimum :: Ord a => FromTextShow1 f a -> a Source #

sum :: Num a => FromTextShow1 f a -> a Source #

product :: Num a => FromTextShow1 f a -> a Source #

TextShow1 f => Show1 (FromTextShow1 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowsPrec :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> Int -> FromTextShow1 f a -> ShowS Source # liftShowList :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> [FromTextShow1 f a] -> ShowS Source #
Traversable f => Traversable (FromTextShow1 f) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

traverse :: Applicative f0 => (a -> f0 b) -> FromTextShow1 f a -> f0 (FromTextShow1 f b) Source #

sequenceA :: Applicative f0 => FromTextShow1 f (f0 a) -> f0 (FromTextShow1 f a) Source #

mapM :: Monad m => (a -> m b) -> FromTextShow1 f a -> m (FromTextShow1 f b) Source #

sequence :: Monad m => FromTextShow1 f (m a) -> m (FromTextShow1 f a) Source #

Functor f => Functor (FromTextShow1 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods fmap :: (a -> b) -> FromTextShow1 f a -> FromTextShow1 f b Source # (<$) :: a -> FromTextShow1 f b -> FromTextShow1 f a Source #
TextShow1 f => TextShow1 (FromTextShow1 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a -> Builder) -> ([a] -> Builder) -> Int -> FromTextShow1 f a -> Builder Source # liftShowbList :: (Int -> a -> Builder) -> ([a] -> Builder) -> [FromTextShow1 f a] -> Builder Source #
(Typeable a, Typeable f, Typeable k, Data (f a)) => Data (FromTextShow1 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> FromTextShow1 f a -> c (FromTextShow1 f a) Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (FromTextShow1 f a) Source #

toConstr :: FromTextShow1 f a -> Constr Source #

dataTypeOf :: FromTextShow1 f a -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (FromTextShow1 f a)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (FromTextShow1 f a)) Source #

gmapT :: (forall b. Data b => b -> b) -> FromTextShow1 f a -> FromTextShow1 f a Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> FromTextShow1 f a -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> FromTextShow1 f a -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> FromTextShow1 f a -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> FromTextShow1 f a -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> FromTextShow1 f a -> m (FromTextShow1 f a) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> FromTextShow1 f a -> m (FromTextShow1 f a) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> FromTextShow1 f a -> m (FromTextShow1 f a) Source #

Generic (FromTextShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep (FromTextShow1 f a) :: Type -> Type Source # Methods from :: FromTextShow1 f a -> Rep (FromTextShow1 f a) x Source # to :: Rep (FromTextShow1 f a) x -> FromTextShow1 f a Source #
Read (f a) => Read (FromTextShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods readsPrec :: Int -> ReadS (FromTextShow1 f a) Source # readList :: ReadS [FromTextShow1 f a] Source # readPrec :: ReadPrec (FromTextShow1 f a) Source # readListPrec :: ReadPrec [FromTextShow1 f a] Source #

(TextShow1 f, Show a) => Show (FromTextShow1 f a) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `TextShow1` constraint with a `Show` constraint. The `Show` constraint is necessary to satisfy the quantified `Show` superclass in `Show1`. Really, the `Show` constraint ought to be a `TextShow` constraint instead, but GHC has no way of knowing that the `TextShow` constraint can be converted to a `Show` constraint when checking superclasses.

This is all to say: this instance is almost surely not what you want if you are looking to derive a `Show` instance only via `TextShow`-related classes. If you wish to do this, derive via `FromTextShow` instead.

Instance details Defined in TextShow.FromStringTextShow Methods showsPrec :: Int -> FromTextShow1 f a -> ShowS Source # show :: FromTextShow1 f a -> String Source # showList :: [FromTextShow1 f a] -> ShowS Source #
Eq (f a) => Eq (FromTextShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods (==) :: FromTextShow1 f a -> FromTextShow1 f a -> Bool Source # (/=) :: FromTextShow1 f a -> FromTextShow1 f a -> Bool Source #
Ord (f a) => Ord (FromTextShow1 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

compare :: FromTextShow1 f a -> FromTextShow1 f a -> Ordering Source #

(<) :: FromTextShow1 f a -> FromTextShow1 f a -> Bool Source #

(<=) :: FromTextShow1 f a -> FromTextShow1 f a -> Bool Source #

(>) :: FromTextShow1 f a -> FromTextShow1 f a -> Bool Source #

(>=) :: FromTextShow1 f a -> FromTextShow1 f a -> Bool Source #

max :: FromTextShow1 f a -> FromTextShow1 f a -> FromTextShow1 f a Source #

min :: FromTextShow1 f a -> FromTextShow1 f a -> FromTextShow1 f a Source #

(TextShow1 f, TextShow a) => TextShow (FromTextShow1 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromTextShow1 f a -> Builder Source #

showb :: FromTextShow1 f a -> Builder Source #

showbList :: [FromTextShow1 f a] -> Builder Source #

showtPrec :: Int -> FromTextShow1 f a -> Text Source #

showt :: FromTextShow1 f a -> Text Source #

showtList :: [FromTextShow1 f a] -> Text Source #

showtlPrec :: Int -> FromTextShow1 f a -> Text Source #

showtl :: FromTextShow1 f a -> Text Source #

showtlList :: [FromTextShow1 f a] -> Text Source #

type Rep1 (FromTextShow1 f :: k -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep1 (FromTextShow1 f :: k -> Type) = D1 ('MetaData "FromTextShow1" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromTextShow1" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromTextShow1") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec1 f)))
type Rep (FromTextShow1 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep (FromTextShow1 f a) = D1 ('MetaData "FromTextShow1" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromTextShow1" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromTextShow1") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (f a))))

newtype FromStringShow2 f a b Source #

An adapter newtype, suitable for `DerivingVia`. The `TextShow2` instance for `FromStringShow2` is based on its `String` `Show2` instance. That is,

    liftShowbPrec2 sp1 sl1 sp2 sl2 p (FromStringShow2 x) =
        showsPrecToShowbPrec (liftShowsPrec2 (showbPrecToShowsPrec sp1)
                                                 (showbToShows         sl1)
                                                 (showbPrecToShowsPrec sp2)
                                                 (showbToShows         sl2))
                               p x

Since: 3

Constructors

FromStringShow2 |

Fields

- fromStringShow2 :: f a b

#### Instances

Instances details

Generic1 (FromStringShow2 f a :: k1 -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep1 (FromStringShow2 f a) :: k -> Type Source # Methods from1 :: forall (a0 :: k). FromStringShow2 f a a0 -> Rep1 (FromStringShow2 f a) a0 Source # to1 :: forall (a0 :: k). Rep1 (FromStringShow2 f a) a0 -> FromStringShow2 f a a0 Source #
Lift (f a b) => Lift (FromStringShow2 f a b :: Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods lift :: Quote m => FromStringShow2 f a b -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => FromStringShow2 f a b -> Code m (FromStringShow2 f a b) Source #
Bifoldable f => Bifoldable (FromStringShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods bifold :: Monoid m => FromStringShow2 f m m -> m Source # bifoldMap :: Monoid m => (a -> m) -> (b -> m) -> FromStringShow2 f a b -> m Source # bifoldr :: (a -> c -> c) -> (b -> c -> c) -> c -> FromStringShow2 f a b -> c Source # bifoldl :: (c -> a -> c) -> (c -> b -> c) -> c -> FromStringShow2 f a b -> c Source #
Bifunctor f => Bifunctor (FromStringShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods bimap :: (a -> b) -> (c -> d) -> FromStringShow2 f a c -> FromStringShow2 f b d Source # first :: (a -> b) -> FromStringShow2 f a c -> FromStringShow2 f b c Source # second :: (b -> c) -> FromStringShow2 f a b -> FromStringShow2 f a c Source #
Bitraversable f => Bitraversable (FromStringShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods bitraverse :: Applicative f0 => (a -> f0 c) -> (b -> f0 d) -> FromStringShow2 f a b -> f0 (FromStringShow2 f c d) Source #
Show2 f => Show2 (FromStringShow2 f) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowsPrec2 :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> (Int -> b -> ShowS) -> ([b] -> ShowS) -> Int -> FromStringShow2 f a b -> ShowS Source # liftShowList2 :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> (Int -> b -> ShowS) -> ([b] -> ShowS) -> [FromStringShow2 f a b] -> ShowS Source #
Show2 f => TextShow2 (FromStringShow2 f) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> FromStringShow2 f a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [FromStringShow2 f a b] -> Builder Source #
Foldable (f a) => Foldable (FromStringShow2 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

fold :: Monoid m => FromStringShow2 f a m -> m Source #

foldMap :: Monoid m => (a0 -> m) -> FromStringShow2 f a a0 -> m Source #

foldMap' :: Monoid m => (a0 -> m) -> FromStringShow2 f a a0 -> m Source #

foldr :: (a0 -> b -> b) -> b -> FromStringShow2 f a a0 -> b Source #

foldr' :: (a0 -> b -> b) -> b -> FromStringShow2 f a a0 -> b Source #

foldl :: (b -> a0 -> b) -> b -> FromStringShow2 f a a0 -> b Source #

foldl' :: (b -> a0 -> b) -> b -> FromStringShow2 f a a0 -> b Source #

foldr1 :: (a0 -> a0 -> a0) -> FromStringShow2 f a a0 -> a0 Source #

foldl1 :: (a0 -> a0 -> a0) -> FromStringShow2 f a a0 -> a0 Source #

toList :: FromStringShow2 f a a0 -> [a0] Source #

null :: FromStringShow2 f a a0 -> Bool Source #

length :: FromStringShow2 f a a0 -> Int Source #

elem :: Eq a0 => a0 -> FromStringShow2 f a a0 -> Bool Source #

maximum :: Ord a0 => FromStringShow2 f a a0 -> a0 Source #

minimum :: Ord a0 => FromStringShow2 f a a0 -> a0 Source #

sum :: Num a0 => FromStringShow2 f a a0 -> a0 Source #

product :: Num a0 => FromStringShow2 f a a0 -> a0 Source #

(Show2 f, Show a) => Show1 (FromStringShow2 f a) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowsPrec :: (Int -> a0 -> ShowS) -> ([a0] -> ShowS) -> Int -> FromStringShow2 f a a0 -> ShowS Source # liftShowList :: (Int -> a0 -> ShowS) -> ([a0] -> ShowS) -> [FromStringShow2 f a a0] -> ShowS Source #
Traversable (f a) => Traversable (FromStringShow2 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

traverse :: Applicative f0 => (a0 -> f0 b) -> FromStringShow2 f a a0 -> f0 (FromStringShow2 f a b) Source #

sequenceA :: Applicative f0 => FromStringShow2 f a (f0 a0) -> f0 (FromStringShow2 f a a0) Source #

mapM :: Monad m => (a0 -> m b) -> FromStringShow2 f a a0 -> m (FromStringShow2 f a b) Source #

sequence :: Monad m => FromStringShow2 f a (m a0) -> m (FromStringShow2 f a a0) Source #

Functor (f a) => Functor (FromStringShow2 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods fmap :: (a0 -> b) -> FromStringShow2 f a a0 -> FromStringShow2 f a b Source # (<$) :: a0 -> FromStringShow2 f a b -> FromStringShow2 f a a0 Source #

(Show2 f, TextShow a) => TextShow1 (FromStringShow2 f a) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `Show2` constraint with a `TextShow` constraint. This is done for consistency with the `Show1` instance for `FromTextShow2`, which mixes constraints in a similar way to satisfy superclass constraints. See the Haddocks on the `Show1` instance for `FromTextShow2` for more details.

Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> FromStringShow2 f a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [FromStringShow2 f a a0] -> Builder Source #
(Typeable a, Typeable b, Typeable f, Typeable k1, Typeable k2, Data (f a b)) => Data (FromStringShow2 f a b) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

gfoldl :: (forall d b0. Data d => c (d -> b0) -> d -> c b0) -> (forall g. g -> c g) -> FromStringShow2 f a b -> c (FromStringShow2 f a b) Source #

gunfold :: (forall b0 r. Data b0 => c (b0 -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (FromStringShow2 f a b) Source #

toConstr :: FromStringShow2 f a b -> Constr Source #

dataTypeOf :: FromStringShow2 f a b -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (FromStringShow2 f a b)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (FromStringShow2 f a b)) Source #

gmapT :: (forall b0. Data b0 => b0 -> b0) -> FromStringShow2 f a b -> FromStringShow2 f a b Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> FromStringShow2 f a b -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> FromStringShow2 f a b -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> FromStringShow2 f a b -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> FromStringShow2 f a b -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> FromStringShow2 f a b -> m (FromStringShow2 f a b) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> FromStringShow2 f a b -> m (FromStringShow2 f a b) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> FromStringShow2 f a b -> m (FromStringShow2 f a b) Source #

Generic (FromStringShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep (FromStringShow2 f a b) :: Type -> Type Source # Methods from :: FromStringShow2 f a b -> Rep (FromStringShow2 f a b) x Source # to :: Rep (FromStringShow2 f a b) x -> FromStringShow2 f a b Source #
Read (f a b) => Read (FromStringShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods readsPrec :: Int -> ReadS (FromStringShow2 f a b) Source # readList :: ReadS [FromStringShow2 f a b] Source # readPrec :: ReadPrec (FromStringShow2 f a b) Source # readListPrec :: ReadPrec [FromStringShow2 f a b] Source #
(Show2 f, Show a, Show b) => Show (FromStringShow2 f a b) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods showsPrec :: Int -> FromStringShow2 f a b -> ShowS Source # show :: FromStringShow2 f a b -> String Source # showList :: [FromStringShow2 f a b] -> ShowS Source #
Eq (f a b) => Eq (FromStringShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods (==) :: FromStringShow2 f a b -> FromStringShow2 f a b -> Bool Source # (/=) :: FromStringShow2 f a b -> FromStringShow2 f a b -> Bool Source #
Ord (f a b) => Ord (FromStringShow2 f a b) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

compare :: FromStringShow2 f a b -> FromStringShow2 f a b -> Ordering Source #

(<) :: FromStringShow2 f a b -> FromStringShow2 f a b -> Bool Source #

(<=) :: FromStringShow2 f a b -> FromStringShow2 f a b -> Bool Source #

(>) :: FromStringShow2 f a b -> FromStringShow2 f a b -> Bool Source #

(>=) :: FromStringShow2 f a b -> FromStringShow2 f a b -> Bool Source #

max :: FromStringShow2 f a b -> FromStringShow2 f a b -> FromStringShow2 f a b Source #

min :: FromStringShow2 f a b -> FromStringShow2 f a b -> FromStringShow2 f a b Source #

(Show2 f, TextShow a, TextShow b) => TextShow (FromStringShow2 f a b) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `Show2` constraint with `TextShow` constraints. This is done for consistency with the `Show` instance for `FromTextShow2`, which mixes constraints in a similar way to satisfy superclass constraints. See the Haddocks on the `Show` instance for `FromTextShow2` for more details.

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromStringShow2 f a b -> Builder Source #

showb :: FromStringShow2 f a b -> Builder Source #

showbList :: [FromStringShow2 f a b] -> Builder Source #

showtPrec :: Int -> FromStringShow2 f a b -> Text Source #

showt :: FromStringShow2 f a b -> Text Source #

showtList :: [FromStringShow2 f a b] -> Text Source #

showtlPrec :: Int -> FromStringShow2 f a b -> Text Source #

showtl :: FromStringShow2 f a b -> Text Source #

showtlList :: [FromStringShow2 f a b] -> Text Source #

type Rep1 (FromStringShow2 f a :: k1 -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep1 (FromStringShow2 f a :: k1 -> Type) = D1 ('MetaData "FromStringShow2" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromStringShow2" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromStringShow2") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec1 (f a))))
type Rep (FromStringShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep (FromStringShow2 f a b) = D1 ('MetaData "FromStringShow2" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromStringShow2" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromStringShow2") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (f a b))))

newtype FromTextShow2 f a b Source #

An adapter newtype, suitable for `DerivingVia`. The `String` `Show2` instance for `FromTextShow2` is based on its `TextShow2` instance. That is,

    liftShowsPrec2 sp1 sl1 sp2 sl2 p (FromTextShow2 x) =
        showbPrecToShowsPrec (liftShowbPrec2 (showsPrecToShowbPrec sp1)
                                                 (showsToShowb         sl1)
                                                 (showsPrecToShowbPrec sp2)
                                                 (showsToShowb         sl2))
                               p x

Since: 3

Constructors

FromTextShow2 |

Fields

- fromTextShow2 :: f a b

#### Instances

Instances details

Generic1 (FromTextShow2 f a :: k1 -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep1 (FromTextShow2 f a) :: k -> Type Source # Methods from1 :: forall (a0 :: k). FromTextShow2 f a a0 -> Rep1 (FromTextShow2 f a) a0 Source # to1 :: forall (a0 :: k). Rep1 (FromTextShow2 f a) a0 -> FromTextShow2 f a a0 Source #
Lift (f a b) => Lift (FromTextShow2 f a b :: Type) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods lift :: Quote m => FromTextShow2 f a b -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => FromTextShow2 f a b -> Code m (FromTextShow2 f a b) Source #
Bifoldable f => Bifoldable (FromTextShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods bifold :: Monoid m => FromTextShow2 f m m -> m Source # bifoldMap :: Monoid m => (a -> m) -> (b -> m) -> FromTextShow2 f a b -> m Source # bifoldr :: (a -> c -> c) -> (b -> c -> c) -> c -> FromTextShow2 f a b -> c Source # bifoldl :: (c -> a -> c) -> (c -> b -> c) -> c -> FromTextShow2 f a b -> c Source #
Bifunctor f => Bifunctor (FromTextShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods bimap :: (a -> b) -> (c -> d) -> FromTextShow2 f a c -> FromTextShow2 f b d Source # first :: (a -> b) -> FromTextShow2 f a c -> FromTextShow2 f b c Source # second :: (b -> c) -> FromTextShow2 f a b -> FromTextShow2 f a c Source #
Bitraversable f => Bitraversable (FromTextShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods bitraverse :: Applicative f0 => (a -> f0 c) -> (b -> f0 d) -> FromTextShow2 f a b -> f0 (FromTextShow2 f c d) Source #
TextShow2 f => Show2 (FromTextShow2 f) Source # | Not available if using `transformers-0.4`
Instance details Defined in TextShow.FromStringTextShow Methods liftShowsPrec2 :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> (Int -> b -> ShowS) -> ([b] -> ShowS) -> Int -> FromTextShow2 f a b -> ShowS Source # liftShowList2 :: (Int -> a -> ShowS) -> ([a] -> ShowS) -> (Int -> b -> ShowS) -> ([b] -> ShowS) -> [FromTextShow2 f a b] -> ShowS Source #
TextShow2 f => TextShow2 (FromTextShow2 f) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> Int -> FromTextShow2 f a b -> Builder Source # liftShowbList2 :: (Int -> a -> Builder) -> ([a] -> Builder) -> (Int -> b -> Builder) -> ([b] -> Builder) -> [FromTextShow2 f a b] -> Builder Source #
Foldable (f a) => Foldable (FromTextShow2 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

fold :: Monoid m => FromTextShow2 f a m -> m Source #

foldMap :: Monoid m => (a0 -> m) -> FromTextShow2 f a a0 -> m Source #

foldMap' :: Monoid m => (a0 -> m) -> FromTextShow2 f a a0 -> m Source #

foldr :: (a0 -> b -> b) -> b -> FromTextShow2 f a a0 -> b Source #

foldr' :: (a0 -> b -> b) -> b -> FromTextShow2 f a a0 -> b Source #

foldl :: (b -> a0 -> b) -> b -> FromTextShow2 f a a0 -> b Source #

foldl' :: (b -> a0 -> b) -> b -> FromTextShow2 f a a0 -> b Source #

foldr1 :: (a0 -> a0 -> a0) -> FromTextShow2 f a a0 -> a0 Source #

foldl1 :: (a0 -> a0 -> a0) -> FromTextShow2 f a a0 -> a0 Source #

toList :: FromTextShow2 f a a0 -> [a0] Source #

null :: FromTextShow2 f a a0 -> Bool Source #

length :: FromTextShow2 f a a0 -> Int Source #

elem :: Eq a0 => a0 -> FromTextShow2 f a a0 -> Bool Source #

maximum :: Ord a0 => FromTextShow2 f a a0 -> a0 Source #

minimum :: Ord a0 => FromTextShow2 f a a0 -> a0 Source #

sum :: Num a0 => FromTextShow2 f a a0 -> a0 Source #

product :: Num a0 => FromTextShow2 f a a0 -> a0 Source #

(TextShow2 f, Show a) => Show1 (FromTextShow2 f a) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `TextShow2` constraint with a `Show` constraint. The `Show` constraint is necessary to satisfy the quantified `Show` superclass in `Show2`. Really, the `Show` constraint ought to be a `TextShow` constraint instead, but GHC has no way of knowing that the `TextShow` constraint can be converted to a `Show` constraint when checking superclasses.

This is all to say: this instance is almost surely not what you want if you are looking to derive a `Show1` instance only via `TextShow`-related classes. If you wish to do this, derive via `FromTextShow1` instead.

Instance details Defined in TextShow.FromStringTextShow Methods liftShowsPrec :: (Int -> a0 -> ShowS) -> ([a0] -> ShowS) -> Int -> FromTextShow2 f a a0 -> ShowS Source # liftShowList :: (Int -> a0 -> ShowS) -> ([a0] -> ShowS) -> [FromTextShow2 f a a0] -> ShowS Source #
Traversable (f a) => Traversable (FromTextShow2 f a) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

traverse :: Applicative f0 => (a0 -> f0 b) -> FromTextShow2 f a a0 -> f0 (FromTextShow2 f a b) Source #

sequenceA :: Applicative f0 => FromTextShow2 f a (f0 a0) -> f0 (FromTextShow2 f a a0) Source #

mapM :: Monad m => (a0 -> m b) -> FromTextShow2 f a a0 -> m (FromTextShow2 f a b) Source #

sequence :: Monad m => FromTextShow2 f a (m a0) -> m (FromTextShow2 f a a0) Source #

Functor (f a) => Functor (FromTextShow2 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods fmap :: (a0 -> b) -> FromTextShow2 f a a0 -> FromTextShow2 f a b Source # (<$) :: a0 -> FromTextShow2 f a b -> FromTextShow2 f a a0 Source #
(TextShow2 f, TextShow a) => TextShow1 (FromTextShow2 f a) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods liftShowbPrec :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> Int -> FromTextShow2 f a a0 -> Builder Source # liftShowbList :: (Int -> a0 -> Builder) -> ([a0] -> Builder) -> [FromTextShow2 f a a0] -> Builder Source #
(Typeable a, Typeable b, Typeable f, Typeable k1, Typeable k2, Data (f a b)) => Data (FromTextShow2 f a b) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

gfoldl :: (forall d b0. Data d => c (d -> b0) -> d -> c b0) -> (forall g. g -> c g) -> FromTextShow2 f a b -> c (FromTextShow2 f a b) Source #

gunfold :: (forall b0 r. Data b0 => c (b0 -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c (FromTextShow2 f a b) Source #

toConstr :: FromTextShow2 f a b -> Constr Source #

dataTypeOf :: FromTextShow2 f a b -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c (FromTextShow2 f a b)) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c (FromTextShow2 f a b)) Source #

gmapT :: (forall b0. Data b0 => b0 -> b0) -> FromTextShow2 f a b -> FromTextShow2 f a b Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> FromTextShow2 f a b -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> FromTextShow2 f a b -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> FromTextShow2 f a b -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> FromTextShow2 f a b -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> FromTextShow2 f a b -> m (FromTextShow2 f a b) Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> FromTextShow2 f a b -> m (FromTextShow2 f a b) Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> FromTextShow2 f a b -> m (FromTextShow2 f a b) Source #

Generic (FromTextShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow Associated Types type Rep (FromTextShow2 f a b) :: Type -> Type Source # Methods from :: FromTextShow2 f a b -> Rep (FromTextShow2 f a b) x Source # to :: Rep (FromTextShow2 f a b) x -> FromTextShow2 f a b Source #
Read (f a b) => Read (FromTextShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods readsPrec :: Int -> ReadS (FromTextShow2 f a b) Source # readList :: ReadS [FromTextShow2 f a b] Source # readPrec :: ReadPrec (FromTextShow2 f a b) Source # readListPrec :: ReadPrec [FromTextShow2 f a b] Source #

(TextShow2 f, Show a, Show b) => Show (FromTextShow2 f a b) Source #

Not available if using `transformers-0.4`

This instance is somewhat strange, as its instance context mixes a `TextShow2` constraint with `Show` constraints. The `Show` constraints are necessary to satisfy the quantified `Show` superclass in `Show2`. Really, the `Show` constraints ought to be `TextShow` constraints instead, but GHC has no way of knowing that the `TextShow` constraints can be converted to `Show` constraints when checking superclasses.

This is all to say: this instance is almost surely not what you want if you are looking to derive a `Show` instance only via `TextShow`-related classes. If you wish to do this, derive via `FromTextShow` instead.

Instance details Defined in TextShow.FromStringTextShow Methods showsPrec :: Int -> FromTextShow2 f a b -> ShowS Source # show :: FromTextShow2 f a b -> String Source # showList :: [FromTextShow2 f a b] -> ShowS Source #
Eq (f a b) => Eq (FromTextShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow Methods (==) :: FromTextShow2 f a b -> FromTextShow2 f a b -> Bool Source # (/=) :: FromTextShow2 f a b -> FromTextShow2 f a b -> Bool Source #
Ord (f a b) => Ord (FromTextShow2 f a b) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

compare :: FromTextShow2 f a b -> FromTextShow2 f a b -> Ordering Source #

(<) :: FromTextShow2 f a b -> FromTextShow2 f a b -> Bool Source #

(<=) :: FromTextShow2 f a b -> FromTextShow2 f a b -> Bool Source #

(>) :: FromTextShow2 f a b -> FromTextShow2 f a b -> Bool Source #

(>=) :: FromTextShow2 f a b -> FromTextShow2 f a b -> Bool Source #

max :: FromTextShow2 f a b -> FromTextShow2 f a b -> FromTextShow2 f a b Source #

min :: FromTextShow2 f a b -> FromTextShow2 f a b -> FromTextShow2 f a b Source #

(TextShow2 f, TextShow a, TextShow b) => TextShow (FromTextShow2 f a b) Source # |

Instance details

Defined in TextShow.FromStringTextShow

Methods

showbPrec :: Int -> FromTextShow2 f a b -> Builder Source #

showb :: FromTextShow2 f a b -> Builder Source #

showbList :: [FromTextShow2 f a b] -> Builder Source #

showtPrec :: Int -> FromTextShow2 f a b -> Text Source #

showt :: FromTextShow2 f a b -> Text Source #

showtList :: [FromTextShow2 f a b] -> Text Source #

showtlPrec :: Int -> FromTextShow2 f a b -> Text Source #

showtl :: FromTextShow2 f a b -> Text Source #

showtlList :: [FromTextShow2 f a b] -> Text Source #

type Rep1 (FromTextShow2 f a :: k1 -> Type) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep1 (FromTextShow2 f a :: k1 -> Type) = D1 ('MetaData "FromTextShow2" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromTextShow2" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromTextShow2") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec1 (f a))))
type Rep (FromTextShow2 f a b) Source # |
Instance details Defined in TextShow.FromStringTextShow type Rep (FromTextShow2 f a b) = D1 ('MetaData "FromTextShow2" "TextShow.FromStringTextShow" "text-show-3.10.5-DiYBJE7O0GlDzAxrPhjwoe" 'True) (C1 ('MetaCons "FromTextShow2" 'PrefixI 'True) (S1 ('MetaSel ('Just "fromTextShow2") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (f a b))))

showsPrecToShowbPrec :: (Int -> a -> ShowS) -> Int -> a -> Builder Source #

Convert a precedence-aware `ShowS`-based show function to a `Builder`-based one.

Since: 3

showsToShowb :: (a -> ShowS) -> a -> Builder Source #

Convert a `ShowS`-based show function to a `Builder`-based one.

Since: 3

showbPrecToShowsPrec :: (Int -> a -> Builder) -> Int -> a -> ShowS Source #

Convert a precedence-aware `Builder`-based show function to a `ShowS`-based one.

Since: 3

showbToShows :: (a -> Builder) -> a -> ShowS Source #

Convert a `Builder`-based show function to a `ShowS`-based one.

Since: 3

## Conversions between `Builder`, strict `Text`, and lazy `Text`

showtPrecToShowbPrec :: (Int -> a -> Text) -> Int -> a -> Builder Source #

Convert a precedence-aware, strict `Text`-based show function to a `Builder`-based one.

Since: 3.4

showtlPrecToShowbPrec :: (Int -> a -> Text) -> Int -> a -> Builder Source #

Convert a precedence-aware, lazy `Text`-based show function to a `Builder`-based one.

Since: 3.4

showtToShowb :: (a -> Text) -> a -> Builder Source #

Convert a strict `Text`-based show function to a `Builder`-based one.

Since: 3.4

showtlToShowb :: (a -> Text) -> a -> Builder Source #

Convert a lazy `Text`-based show function to a `Builder`-based one.

Since: 3.4

showbPrecToShowtPrec :: (Int -> a -> Builder) -> Int -> a -> Text Source #

Convert a precedence-aware `Builder`-based show function to a strict `Text`-based one.

Since: 3.4

showbPrecToShowtlPrec :: (Int -> a -> Builder) -> Int -> a -> Text Source #

Convert a precedence-aware `Builder`-based show function to a lazy `Text`-based one.

Since: 3.4

showbToShowt :: (a -> Builder) -> a -> Text Source #

Convert a `Builder`-based show function to a strict `Text`-based one.

Since: 3

showbToShowtl :: (a -> Builder) -> a -> Text Source #

Convert a `Builder`-based show function to a lazy `Text`-based one.

Since: 3